/* Utils.c generated by valac 0.39.7, the Vala compiler
 * generated from Utils.vala, do not modify */

/*-
 * Copyright (c) 2015-2016 elementary LLC.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include "NetworkManager.h"
#include <gio/gio.h>
#include <gobject/gvaluecollector.h>


#define NETWORK_TYPE_UTILS (network_utils_get_type ())
#define NETWORK_UTILS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NETWORK_TYPE_UTILS, NetworkUtils))
#define NETWORK_UTILS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NETWORK_TYPE_UTILS, NetworkUtilsClass))
#define NETWORK_IS_UTILS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NETWORK_TYPE_UTILS))
#define NETWORK_IS_UTILS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NETWORK_TYPE_UTILS))
#define NETWORK_UTILS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NETWORK_TYPE_UTILS, NetworkUtilsClass))

typedef struct _NetworkUtils NetworkUtils;
typedef struct _NetworkUtilsClass NetworkUtilsClass;
typedef struct _NetworkUtilsPrivate NetworkUtilsPrivate;

#define NETWORK_UTILS_TYPE_CUSTOM_MODE (network_utils_custom_mode_get_type ())

#define NETWORK_UTILS_TYPE_ITEM_TYPE (network_utils_item_type_get_type ())

#define NETWORK_UTILS_TYPE_HOTSPOT (network_utils_hotspot_get_type ())
#define NETWORK_UTILS_HOTSPOT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NETWORK_UTILS_TYPE_HOTSPOT, NetworkUtilsHotspot))
#define NETWORK_UTILS_HOTSPOT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NETWORK_UTILS_TYPE_HOTSPOT, NetworkUtilsHotspotClass))
#define NETWORK_UTILS_IS_HOTSPOT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NETWORK_UTILS_TYPE_HOTSPOT))
#define NETWORK_UTILS_IS_HOTSPOT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NETWORK_UTILS_TYPE_HOTSPOT))
#define NETWORK_UTILS_HOTSPOT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NETWORK_UTILS_TYPE_HOTSPOT, NetworkUtilsHotspotClass))

typedef struct _NetworkUtilsHotspot NetworkUtilsHotspot;
typedef struct _NetworkUtilsHotspotClass NetworkUtilsHotspotClass;
typedef struct _NetworkUtilsHotspotPrivate NetworkUtilsHotspotPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _Block1Data Block1Data;
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))
typedef struct _Block2Data Block2Data;
#define _g_ptr_array_unref0(var) ((var == NULL) ? NULL : (var = (g_ptr_array_unref (var), NULL)))
typedef struct _NetworkUtilsParamSpecHotspot NetworkUtilsParamSpecHotspot;
typedef struct _NetworkParamSpecUtils NetworkParamSpecUtils;

struct _NetworkUtils {
	GTypeInstance parent_instance;
	volatile int ref_count;
	NetworkUtilsPrivate * priv;
};

struct _NetworkUtilsClass {
	GTypeClass parent_class;
	void (*finalize) (NetworkUtils *self);
};

typedef enum  {
	NETWORK_UTILS_CUSTOM_MODE_PROXY_NONE = 0,
	NETWORK_UTILS_CUSTOM_MODE_PROXY_MANUAL,
	NETWORK_UTILS_CUSTOM_MODE_PROXY_AUTO,
	NETWORK_UTILS_CUSTOM_MODE_HOTSPOT_ENABLED,
	NETWORK_UTILS_CUSTOM_MODE_HOTSPOT_DISABLED,
	NETWORK_UTILS_CUSTOM_MODE_INVALID
} NetworkUtilsCustomMode;

typedef enum  {
	NETWORK_UTILS_ITEM_TYPE_DEVICE = 0,
	NETWORK_UTILS_ITEM_TYPE_VIRTUAL,
	NETWORK_UTILS_ITEM_TYPE_INVALID
} NetworkUtilsItemType;

struct _NetworkUtilsHotspot {
	GTypeInstance parent_instance;
	volatile int ref_count;
	NetworkUtilsHotspotPrivate * priv;
};

struct _NetworkUtilsHotspotClass {
	GTypeClass parent_class;
	void (*finalize) (NetworkUtilsHotspot *self);
};

typedef void (*NetworkUtilsHotspotUpdateSecretCallback) (void* user_data);
struct _Block1Data {
	int _ref_count_;
	NMRemoteConnection* connection;
	NetworkUtilsHotspotUpdateSecretCallback callback;
	gpointer callback_target;
};

struct _Block2Data {
	int _ref_count_;
	NMDeviceWifi* wifi_device;
};

struct _NetworkUtilsParamSpecHotspot {
	GParamSpec parent_instance;
};

struct _NetworkParamSpecUtils {
	GParamSpec parent_instance;
};


static gpointer network_utils_parent_class = NULL;
static gpointer network_utils_hotspot_parent_class = NULL;
extern NMClient* client;

#define NETWORK_UNKNOWN_STR _ ("Unknown")
gpointer network_utils_ref (gpointer instance);
void network_utils_unref (gpointer instance);
GParamSpec* network_param_spec_utils (const gchar* name,
                                      const gchar* nick,
                                      const gchar* blurb,
                                      GType object_type,
                                      GParamFlags flags);
void network_value_set_utils (GValue* value,
                              gpointer v_object);
void network_value_take_utils (GValue* value,
                               gpointer v_object);
gpointer network_value_get_utils (const GValue* value);
GType network_utils_get_type (void) G_GNUC_CONST;
GType network_utils_custom_mode_get_type (void) G_GNUC_CONST;
GType network_utils_item_type_get_type (void) G_GNUC_CONST;
gchar* network_utils_state_to_string (NMDeviceState state);
gchar* network_utils_type_to_string (NMDeviceType type);
NetworkUtils* network_utils_new (void);
NetworkUtils* network_utils_construct (GType object_type);
gpointer network_utils_hotspot_ref (gpointer instance);
void network_utils_hotspot_unref (gpointer instance);
GParamSpec* network_utils_param_spec_hotspot (const gchar* name,
                                              const gchar* nick,
                                              const gchar* blurb,
                                              GType object_type,
                                              GParamFlags flags);
void network_utils_value_set_hotspot (GValue* value,
                                      gpointer v_object);
void network_utils_value_take_hotspot (GValue* value,
                                       gpointer v_object);
gpointer network_utils_value_get_hotspot (const GValue* value);
GType network_utils_hotspot_get_type (void) G_GNUC_CONST;
void network_utils_hotspot_activate_hotspot (NMDeviceWifi* wifi_device,
                                             GByteArray* ssid,
                                             const gchar* key,
                                             NMConnection* selected);
static void network_utils_hotspot_set_wpa_key (NMSettingWirelessSecurity* setting,
                                        const gchar* key);
static void network_utils_hotspot_set_wep_key (NMSettingWirelessSecurity* setting,
                                        const gchar* key);
static void __lambda4_ (GObject* obj,
                 GAsyncResult* res);
static void ___lambda4__gasync_ready_callback (GObject* source_object,
                                        GAsyncResult* res,
                                        gpointer self);
void network_utils_hotspot_update_secrets (NMRemoteConnection* connection,
                                           NetworkUtilsHotspotUpdateSecretCallback callback,
                                           void* callback_target);
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (void * _userdata_);
static void __lambda5_ (Block1Data* _data1_,
                 GObject* obj,
                 GAsyncResult* res);
static void ___lambda5__gasync_ready_callback (GObject* source_object,
                                        GAsyncResult* res,
                                        gpointer self);
void network_utils_hotspot_deactivate_hotspot (NMDeviceWifi* wifi_device);
static Block2Data* block2_data_ref (Block2Data* _data2_);
static void block2_data_unref (void * _userdata_);
static void __lambda6_ (Block2Data* _data2_,
                 NMActiveConnection* active_connection);
static void ___lambda6__gfunc (gconstpointer data,
                        gpointer self);
gboolean network_utils_hotspot_get_device_is_hotspot (NMDeviceWifi* wifi_device,
                                                      NMClient* nm_client);
gboolean network_utils_hotspot_get_connection_is_hotspot (NMConnection* connection);
NetworkUtilsHotspot* network_utils_hotspot_new (void);
NetworkUtilsHotspot* network_utils_hotspot_construct (GType object_type);
static void network_utils_hotspot_finalize (NetworkUtilsHotspot * obj);
static void network_utils_finalize (NetworkUtils * obj);


GType
network_utils_custom_mode_get_type (void)
{
	static volatile gsize network_utils_custom_mode_type_id__volatile = 0;
	if (g_once_init_enter (&network_utils_custom_mode_type_id__volatile)) {
		static const GEnumValue values[] = {{NETWORK_UTILS_CUSTOM_MODE_PROXY_NONE, "NETWORK_UTILS_CUSTOM_MODE_PROXY_NONE", "proxy-none"}, {NETWORK_UTILS_CUSTOM_MODE_PROXY_MANUAL, "NETWORK_UTILS_CUSTOM_MODE_PROXY_MANUAL", "proxy-manual"}, {NETWORK_UTILS_CUSTOM_MODE_PROXY_AUTO, "NETWORK_UTILS_CUSTOM_MODE_PROXY_AUTO", "proxy-auto"}, {NETWORK_UTILS_CUSTOM_MODE_HOTSPOT_ENABLED, "NETWORK_UTILS_CUSTOM_MODE_HOTSPOT_ENABLED", "hotspot-enabled"}, {NETWORK_UTILS_CUSTOM_MODE_HOTSPOT_DISABLED, "NETWORK_UTILS_CUSTOM_MODE_HOTSPOT_DISABLED", "hotspot-disabled"}, {NETWORK_UTILS_CUSTOM_MODE_INVALID, "NETWORK_UTILS_CUSTOM_MODE_INVALID", "invalid"}, {0, NULL, NULL}};
		GType network_utils_custom_mode_type_id;
		network_utils_custom_mode_type_id = g_enum_register_static ("NetworkUtilsCustomMode", values);
		g_once_init_leave (&network_utils_custom_mode_type_id__volatile, network_utils_custom_mode_type_id);
	}
	return network_utils_custom_mode_type_id__volatile;
}


GType
network_utils_item_type_get_type (void)
{
	static volatile gsize network_utils_item_type_type_id__volatile = 0;
	if (g_once_init_enter (&network_utils_item_type_type_id__volatile)) {
		static const GEnumValue values[] = {{NETWORK_UTILS_ITEM_TYPE_DEVICE, "NETWORK_UTILS_ITEM_TYPE_DEVICE", "device"}, {NETWORK_UTILS_ITEM_TYPE_VIRTUAL, "NETWORK_UTILS_ITEM_TYPE_VIRTUAL", "virtual"}, {NETWORK_UTILS_ITEM_TYPE_INVALID, "NETWORK_UTILS_ITEM_TYPE_INVALID", "invalid"}, {0, NULL, NULL}};
		GType network_utils_item_type_type_id;
		network_utils_item_type_type_id = g_enum_register_static ("NetworkUtilsItemType", values);
		g_once_init_leave (&network_utils_item_type_type_id__volatile, network_utils_item_type_type_id);
	}
	return network_utils_item_type_type_id__volatile;
}


gchar*
network_utils_state_to_string (NMDeviceState state)
{
	gchar* result = NULL;
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	switch (state) {
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_STATE_ACTIVATED:
#line 241 "Utils.c"
		{
			gchar* _tmp0_;
#line 191 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp0_ = g_strdup (_ ("Connected"));
#line 191 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp0_;
#line 191 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 250 "Utils.c"
		}
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_STATE_DISCONNECTED:
#line 254 "Utils.c"
		{
			gchar* _tmp1_;
#line 193 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp1_ = g_strdup (_ ("Disconnected"));
#line 193 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp1_;
#line 193 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 263 "Utils.c"
		}
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_STATE_UNMANAGED:
#line 267 "Utils.c"
		{
			gchar* _tmp2_;
#line 195 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp2_ = g_strdup (_ ("Unmanaged"));
#line 195 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp2_;
#line 195 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 276 "Utils.c"
		}
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_STATE_PREPARE:
#line 280 "Utils.c"
		{
			gchar* _tmp3_;
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp3_ = g_strdup (_ ("In preparation"));
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp3_;
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 289 "Utils.c"
		}
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_STATE_CONFIG:
#line 293 "Utils.c"
		{
			gchar* _tmp4_;
#line 199 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp4_ = g_strdup (_ ("Connecting…"));
#line 199 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp4_;
#line 199 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 302 "Utils.c"
		}
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_STATE_NEED_AUTH:
#line 306 "Utils.c"
		{
			gchar* _tmp5_;
#line 201 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp5_ = g_strdup (_ ("Requires more information"));
#line 201 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp5_;
#line 201 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 315 "Utils.c"
		}
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_STATE_IP_CONFIG:
#line 319 "Utils.c"
		{
			gchar* _tmp6_;
#line 203 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp6_ = g_strdup (_ ("Requesting adresses..."));
#line 203 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp6_;
#line 203 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 328 "Utils.c"
		}
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_STATE_IP_CHECK:
#line 332 "Utils.c"
		{
			gchar* _tmp7_;
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp7_ = g_strdup (_ ("Checking connection..."));
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp7_;
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 341 "Utils.c"
		}
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_STATE_SECONDARIES:
#line 345 "Utils.c"
		{
			gchar* _tmp8_;
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp8_ = g_strdup (_ ("Waiting for connection..."));
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp8_;
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 354 "Utils.c"
		}
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_STATE_DEACTIVATING:
#line 358 "Utils.c"
		{
			gchar* _tmp9_;
#line 209 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp9_ = g_strdup (_ ("Disconnecting..."));
#line 209 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp9_;
#line 209 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 367 "Utils.c"
		}
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_STATE_FAILED:
#line 371 "Utils.c"
		{
			gchar* _tmp10_;
#line 211 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp10_ = g_strdup (_ ("Failed to connect"));
#line 211 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp10_;
#line 211 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 380 "Utils.c"
		}
		default:
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_STATE_UNKNOWN:
#line 385 "Utils.c"
		{
			gchar* _tmp11_;
#line 214 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp11_ = g_strdup (NETWORK_UNKNOWN_STR);
#line 214 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp11_;
#line 214 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 394 "Utils.c"
		}
	}
}


gchar*
network_utils_type_to_string (NMDeviceType type)
{
	gchar* result = NULL;
#line 219 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	switch (type) {
#line 219 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_TYPE_ETHERNET:
#line 408 "Utils.c"
		{
			gchar* _tmp0_;
#line 221 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp0_ = g_strdup (_ ("Ethernet"));
#line 221 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp0_;
#line 221 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 417 "Utils.c"
		}
#line 219 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_TYPE_WIFI:
#line 421 "Utils.c"
		{
			gchar* _tmp1_;
#line 223 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp1_ = g_strdup (_ ("Wi-Fi"));
#line 223 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp1_;
#line 223 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 430 "Utils.c"
		}
#line 219 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_TYPE_UNUSED1:
#line 434 "Utils.c"
		{
			gchar* _tmp2_;
#line 225 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp2_ = g_strdup (_ ("Not used"));
#line 225 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp2_;
#line 225 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 443 "Utils.c"
		}
#line 219 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_TYPE_UNUSED2:
#line 447 "Utils.c"
		{
			gchar* _tmp3_;
#line 227 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp3_ = g_strdup (_ ("Not used"));
#line 227 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp3_;
#line 227 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 456 "Utils.c"
		}
#line 219 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_TYPE_BT:
#line 460 "Utils.c"
		{
			gchar* _tmp4_;
#line 229 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp4_ = g_strdup (_ ("Bluetooth"));
#line 229 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp4_;
#line 229 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 469 "Utils.c"
		}
#line 219 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_TYPE_OLPC_MESH:
#line 473 "Utils.c"
		{
			gchar* _tmp5_;
#line 231 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp5_ = g_strdup (_ ("OLPC XO"));
#line 231 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp5_;
#line 231 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 482 "Utils.c"
		}
#line 219 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_TYPE_WIMAX:
#line 486 "Utils.c"
		{
			gchar* _tmp6_;
#line 233 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp6_ = g_strdup (_ ("WiMAX Broadband"));
#line 233 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp6_;
#line 233 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 495 "Utils.c"
		}
#line 219 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_TYPE_MODEM:
#line 499 "Utils.c"
		{
			gchar* _tmp7_;
#line 235 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp7_ = g_strdup (_ ("Modem"));
#line 235 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp7_;
#line 235 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 508 "Utils.c"
		}
#line 219 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_TYPE_INFINIBAND:
#line 512 "Utils.c"
		{
			gchar* _tmp8_;
#line 237 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp8_ = g_strdup (_ ("InfiniBand device"));
#line 237 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp8_;
#line 237 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 521 "Utils.c"
		}
#line 219 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_TYPE_BOND:
#line 525 "Utils.c"
		{
			gchar* _tmp9_;
#line 239 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp9_ = g_strdup (_ ("Bond master"));
#line 239 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp9_;
#line 239 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 534 "Utils.c"
		}
#line 219 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_TYPE_VLAN:
#line 538 "Utils.c"
		{
			gchar* _tmp10_;
#line 241 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp10_ = g_strdup (_ ("VLAN Interface"));
#line 241 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp10_;
#line 241 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 547 "Utils.c"
		}
#line 219 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_TYPE_ADSL:
#line 551 "Utils.c"
		{
			gchar* _tmp11_;
#line 243 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp11_ = g_strdup (_ ("ADSL Modem"));
#line 243 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp11_;
#line 243 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 560 "Utils.c"
		}
#line 219 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_TYPE_BRIDGE:
#line 564 "Utils.c"
		{
			gchar* _tmp12_;
#line 245 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp12_ = g_strdup (_ ("Bridge master"));
#line 245 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp12_;
#line 245 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 573 "Utils.c"
		}
		default:
#line 219 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		case NM_DEVICE_TYPE_UNKNOWN:
#line 578 "Utils.c"
		{
			gchar* _tmp13_;
#line 248 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp13_ = g_strdup (NETWORK_UNKNOWN_STR);
#line 248 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp13_;
#line 248 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 587 "Utils.c"
		}
	}
}


NetworkUtils*
network_utils_construct (GType object_type)
{
	NetworkUtils* self = NULL;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	self = (NetworkUtils*) g_type_create_instance (object_type);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return self;
#line 601 "Utils.c"
}


NetworkUtils*
network_utils_new (void)
{
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return network_utils_construct (NETWORK_TYPE_UTILS);
#line 610 "Utils.c"
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 42 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return self ? g_object_ref (self) : NULL;
#line 619 "Utils.c"
}


static void
__lambda4_ (GObject* obj,
            GAsyncResult* res)
{
	GError * _inner_error_ = NULL;
#line 89 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_if_fail (res != NULL);
#line 630 "Utils.c"
	{
		NMClient* _tmp0_;
		NMActiveConnection* _tmp1_;
		NMActiveConnection* _tmp2_;
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp0_ = client;
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp1_ = nm_client_add_and_activate_connection_finish (_tmp0_, res, &_inner_error_);
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp2_ = _tmp1_;
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_g_object_unref0 (_tmp2_);
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 645 "Utils.c"
			goto __catch1_g_error;
		}
	}
	goto __finally1;
	__catch1_g_error:
	{
		GError* _error_ = NULL;
		GError* _tmp3_;
		const gchar* _tmp4_;
#line 90 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_error_ = _inner_error_;
#line 90 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_inner_error_ = NULL;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp3_ = _error_;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp4_ = _tmp3_->message;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_warning ("Utils.vala:93: %s", _tmp4_);
#line 90 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_g_error_free0 (_error_);
#line 667 "Utils.c"
	}
	__finally1:
#line 90 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 90 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 90 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_clear_error (&_inner_error_);
#line 90 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		return;
#line 678 "Utils.c"
	}
}


static void
___lambda4__gasync_ready_callback (GObject* source_object,
                                   GAsyncResult* res,
                                   gpointer self)
{
#line 85 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	__lambda4_ (source_object, res);
#line 690 "Utils.c"
}


void
network_utils_hotspot_activate_hotspot (NMDeviceWifi* wifi_device,
                                        GByteArray* ssid,
                                        const gchar* key,
                                        NMConnection* selected)
{
	NMConnection* hotspot_c = NULL;
	NMConnection* _tmp1_;
	NMSettingConnection* setting_connection = NULL;
	NMSettingConnection* _tmp2_;
	NMSettingConnection* _tmp3_;
	NMSettingConnection* _tmp4_;
	NMSettingConnection* _tmp5_;
	NMConnection* _tmp6_;
	NMSettingConnection* _tmp7_;
	NMSetting* _tmp8_;
	NMSettingWireless* setting_wireless = NULL;
	NMSettingWireless* _tmp9_;
	gchar* mode = NULL;
	NMDeviceWifiCapabilities caps = 0;
	NMDeviceWifiCapabilities _tmp10_;
	NMSettingWireless* _tmp13_;
	const gchar* _tmp14_;
	NMConnection* _tmp15_;
	NMSettingWireless* _tmp16_;
	NMSetting* _tmp17_;
	NMSettingIP4Config* ip4_setting = NULL;
	NMSettingIP4Config* _tmp18_;
	NMSettingIP4Config* _tmp19_;
	NMConnection* _tmp20_;
	NMSettingIP4Config* _tmp21_;
	NMSetting* _tmp22_;
	NMSettingWireless* _tmp23_;
	NMSettingWirelessSecurity* setting_wireless_security = NULL;
	NMSettingWirelessSecurity* _tmp24_;
	const gchar* _tmp25_;
	NMConnection* _tmp38_;
	NMSettingWirelessSecurity* _tmp39_;
	NMSetting* _tmp40_;
	NMClient* _tmp41_;
	NMConnection* _tmp42_;
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_if_fail (wifi_device != NULL);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_if_fail (ssid != NULL);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_if_fail (key != NULL);
#line 31 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (selected != NULL) {
#line 743 "Utils.c"
		NMClient* _tmp0_;
#line 32 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp0_ = client;
#line 32 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		nm_client_activate_connection_async (_tmp0_, selected, (NMDevice*) wifi_device, NULL, NULL, NULL, NULL);
#line 33 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		return;
#line 751 "Utils.c"
	}
#line 36 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp1_ = nm_simple_connection_new ();
#line 36 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	hotspot_c = _tmp1_;
#line 38 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp2_ = (NMSettingConnection*) nm_setting_connection_new ();
#line 38 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	setting_connection = _tmp2_;
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp3_ = setting_connection;
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_object_set ((GObject*) _tmp3_, NM_SETTING_CONNECTION_TYPE, "802-11-wireless", NULL);
#line 40 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp4_ = setting_connection;
#line 40 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_object_set ((GObject*) _tmp4_, NM_SETTING_CONNECTION_ID, "Hotspot", NULL);
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp5_ = setting_connection;
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_object_set (_tmp5_, "autoconnect", FALSE, NULL);
#line 42 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp6_ = hotspot_c;
#line 42 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp7_ = setting_connection;
#line 42 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp8_ = _g_object_ref0 ((NMSetting*) _tmp7_);
#line 42 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	nm_connection_add_setting (_tmp6_, _tmp8_);
#line 44 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp9_ = (NMSettingWireless*) nm_setting_wireless_new ();
#line 44 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	setting_wireless = _tmp9_;
#line 46 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	mode = NULL;
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	caps = nm_device_wifi_get_capabilities (wifi_device);
#line 48 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp10_ = caps;
#line 48 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if ((_tmp10_ & NM_WIFI_DEVICE_CAP_AP) != 0) {
#line 793 "Utils.c"
		gchar* _tmp11_;
#line 49 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp11_ = g_strdup (NM_SETTING_WIRELESS_MODE_AP);
#line 49 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_g_free0 (mode);
#line 49 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		mode = _tmp11_;
#line 801 "Utils.c"
	} else {
		gchar* _tmp12_;
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp12_ = g_strdup (NM_SETTING_WIRELESS_MODE_ADHOC);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_g_free0 (mode);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		mode = _tmp12_;
#line 810 "Utils.c"
	}
#line 54 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp13_ = setting_wireless;
#line 54 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp14_ = mode;
#line 54 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_object_set (_tmp13_, "mode", _tmp14_, NULL);
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp15_ = hotspot_c;
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp16_ = setting_wireless;
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp17_ = _g_object_ref0 ((NMSetting*) _tmp16_);
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	nm_connection_add_setting (_tmp15_, _tmp17_);
#line 58 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp18_ = (NMSettingIP4Config*) nm_setting_ip4_config_new ();
#line 58 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	ip4_setting = _tmp18_;
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp19_ = ip4_setting;
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_object_set ((NMSettingIPConfig*) _tmp19_, "method", "shared", NULL);
#line 60 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp20_ = hotspot_c;
#line 60 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp21_ = ip4_setting;
#line 60 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp22_ = _g_object_ref0 ((NMSetting*) _tmp21_);
#line 60 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	nm_connection_add_setting (_tmp20_, _tmp22_);
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp23_ = setting_wireless;
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_object_set ((GObject*) _tmp23_, NM_SETTING_WIRELESS_SSID, ssid, NULL);
#line 64 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp24_ = (NMSettingWirelessSecurity*) nm_setting_wireless_security_new ();
#line 64 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	setting_wireless_security = _tmp24_;
#line 66 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp25_ = mode;
#line 66 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (g_strcmp0 (_tmp25_, NM_SETTING_WIRELESS_MODE_AP) == 0) {
#line 854 "Utils.c"
		NMDeviceWifiCapabilities _tmp26_;
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp26_ = caps;
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		if ((_tmp26_ & NM_WIFI_DEVICE_CAP_RSN) != 0) {
#line 860 "Utils.c"
			NMSettingWirelessSecurity* _tmp27_;
			NMSettingWirelessSecurity* _tmp28_;
			NMSettingWirelessSecurity* _tmp29_;
			NMSettingWirelessSecurity* _tmp30_;
#line 68 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp27_ = setting_wireless_security;
#line 68 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			network_utils_hotspot_set_wpa_key (_tmp27_, key);
#line 69 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp28_ = setting_wireless_security;
#line 69 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			nm_setting_wireless_security_add_proto (_tmp28_, "rsn");
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp29_ = setting_wireless_security;
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			nm_setting_wireless_security_add_pairwise (_tmp29_, "ccmp");
#line 71 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp30_ = setting_wireless_security;
#line 71 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			nm_setting_wireless_security_add_group (_tmp30_, "ccmp");
#line 881 "Utils.c"
		} else {
			NMDeviceWifiCapabilities _tmp31_;
#line 72 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp31_ = caps;
#line 72 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			if ((_tmp31_ & NM_WIFI_DEVICE_CAP_WPA) != 0) {
#line 888 "Utils.c"
				NMSettingWirelessSecurity* _tmp32_;
				NMSettingWirelessSecurity* _tmp33_;
				NMSettingWirelessSecurity* _tmp34_;
				NMSettingWirelessSecurity* _tmp35_;
#line 73 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
				_tmp32_ = setting_wireless_security;
#line 73 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
				network_utils_hotspot_set_wpa_key (_tmp32_, key);
#line 74 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
				_tmp33_ = setting_wireless_security;
#line 74 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
				nm_setting_wireless_security_add_proto (_tmp33_, "wpa");
#line 75 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
				_tmp34_ = setting_wireless_security;
#line 75 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
				nm_setting_wireless_security_add_pairwise (_tmp34_, "tkip");
#line 76 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
				_tmp35_ = setting_wireless_security;
#line 76 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
				nm_setting_wireless_security_add_group (_tmp35_, "tkip");
#line 909 "Utils.c"
			} else {
				NMSettingWirelessSecurity* _tmp36_;
#line 78 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
				_tmp36_ = setting_wireless_security;
#line 78 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
				network_utils_hotspot_set_wep_key (_tmp36_, key);
#line 916 "Utils.c"
			}
		}
	} else {
		NMSettingWirelessSecurity* _tmp37_;
#line 81 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp37_ = setting_wireless_security;
#line 81 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		network_utils_hotspot_set_wep_key (_tmp37_, key);
#line 925 "Utils.c"
	}
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp38_ = hotspot_c;
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp39_ = setting_wireless_security;
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp40_ = _g_object_ref0 ((NMSetting*) _tmp39_);
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	nm_connection_add_setting (_tmp38_, _tmp40_);
#line 85 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp41_ = client;
#line 85 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp42_ = hotspot_c;
#line 85 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	nm_client_add_and_activate_connection_async (_tmp41_, _tmp42_, (NMDevice*) wifi_device, NULL, NULL, ___lambda4__gasync_ready_callback, NULL);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_g_object_unref0 (setting_wireless_security);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_g_object_unref0 (ip4_setting);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_g_free0 (mode);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_g_object_unref0 (setting_wireless);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_g_object_unref0 (setting_connection);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_g_object_unref0 (hotspot_c);
#line 953 "Utils.c"
}


static Block1Data*
block1_data_ref (Block1Data* _data1_)
{
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_atomic_int_inc (&_data1_->_ref_count_);
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return _data1_;
#line 964 "Utils.c"
}


static void
block1_data_unref (void * _userdata_)
{
	Block1Data* _data1_;
	_data1_ = (Block1Data*) _userdata_;
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_g_object_unref0 (_data1_->connection);
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_slice_free (Block1Data, _data1_);
#line 979 "Utils.c"
	}
}


static void
__lambda5_ (Block1Data* _data1_,
            GObject* obj,
            GAsyncResult* res)
{
	GError * _inner_error_ = NULL;
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_if_fail (res != NULL);
#line 992 "Utils.c"
	{
		GVariant* secrets = NULL;
		GVariant* _tmp0_;
		GVariant* _tmp1_;
#line 101 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp0_ = nm_remote_connection_get_secrets_finish (_data1_->connection, res, &_inner_error_);
#line 101 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		secrets = _tmp0_;
#line 101 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1003 "Utils.c"
			goto __catch2_g_error;
		}
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp1_ = secrets;
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		nm_connection_update_secrets ((NMConnection*) _data1_->connection, NM_SETTING_WIRELESS_SECURITY_SETTING_NAME, _tmp1_, &_inner_error_);
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_g_variant_unref0 (secrets);
#line 1014 "Utils.c"
			goto __catch2_g_error;
		}
#line 100 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_g_variant_unref0 (secrets);
#line 1019 "Utils.c"
	}
	goto __finally2;
	__catch2_g_error:
	{
		GError* e = NULL;
		GError* _tmp2_;
		const gchar* _tmp3_;
#line 100 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		e = _inner_error_;
#line 100 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_inner_error_ = NULL;
#line 104 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp2_ = e;
#line 104 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp3_ = _tmp2_->message;
#line 104 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_warning ("Utils.vala:104: %s\n", _tmp3_);
#line 105 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_g_error_free0 (e);
#line 105 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		return;
#line 1041 "Utils.c"
	}
	__finally2:
#line 100 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 100 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 100 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_clear_error (&_inner_error_);
#line 100 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		return;
#line 1052 "Utils.c"
	}
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_data1_->callback (_data1_->callback_target);
#line 1056 "Utils.c"
}


static void
___lambda5__gasync_ready_callback (GObject* source_object,
                                   GAsyncResult* res,
                                   gpointer self)
{
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	__lambda5_ (self, source_object, res);
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	block1_data_unref (self);
#line 1069 "Utils.c"
}


void
network_utils_hotspot_update_secrets (NMRemoteConnection* connection,
                                      NetworkUtilsHotspotUpdateSecretCallback callback,
                                      void* callback_target)
{
	Block1Data* _data1_;
	NMRemoteConnection* _tmp0_;
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_if_fail (connection != NULL);
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_data1_ = g_slice_new0 (Block1Data);
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_data1_->_ref_count_ = 1;
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp0_ = _g_object_ref0 (connection);
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_g_object_unref0 (_data1_->connection);
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_data1_->connection = _tmp0_;
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_data1_->callback = callback;
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_data1_->callback_target = callback_target;
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	nm_remote_connection_get_secrets_async (_data1_->connection, NM_SETTING_WIRELESS_SECURITY_SETTING_NAME, NULL, ___lambda5__gasync_ready_callback, block1_data_ref (_data1_));
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	block1_data_unref (_data1_);
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_data1_ = NULL;
#line 1102 "Utils.c"
}


static Block2Data*
block2_data_ref (Block2Data* _data2_)
{
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_atomic_int_inc (&_data2_->_ref_count_);
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return _data2_;
#line 1113 "Utils.c"
}


static void
block2_data_unref (void * _userdata_)
{
	Block2Data* _data2_;
	_data2_ = (Block2Data*) _userdata_;
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (g_atomic_int_dec_and_test (&_data2_->_ref_count_)) {
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_g_object_unref0 (_data2_->wifi_device);
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_slice_free (Block2Data, _data2_);
#line 1128 "Utils.c"
	}
}


static gpointer
_g_ptr_array_ref0 (gpointer self)
{
#line 114 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return self ? g_ptr_array_ref (self) : NULL;
#line 1138 "Utils.c"
}


static void
__lambda6_ (Block2Data* _data2_,
            NMActiveConnection* active_connection)
{
	GPtrArray* devices = NULL;
	GPtrArray* _tmp0_;
	GPtrArray* _tmp1_;
	gboolean _tmp2_ = FALSE;
	GPtrArray* _tmp3_;
	GError * _inner_error_ = NULL;
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_if_fail (active_connection != NULL);
#line 114 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp0_ = nm_active_connection_get_devices (active_connection);
#line 114 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp1_ = _g_ptr_array_ref0 (_tmp0_);
#line 114 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	devices = _tmp1_;
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp3_ = devices;
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (_tmp3_ != NULL) {
#line 1164 "Utils.c"
		GPtrArray* _tmp4_;
		gconstpointer _tmp5_;
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp4_ = devices;
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp5_ = g_ptr_array_index (_tmp4_, (guint) 0);
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp2_ = ((NMDevice*) _tmp5_) == G_TYPE_CHECK_INSTANCE_CAST (_data2_->wifi_device, nm_device_get_type (), NMDevice);
#line 1173 "Utils.c"
	} else {
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp2_ = FALSE;
#line 1177 "Utils.c"
	}
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (_tmp2_) {
#line 1181 "Utils.c"
		{
			NMClient* _tmp6_;
#line 117 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp6_ = client;
#line 117 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			nm_client_deactivate_connection (_tmp6_, active_connection, NULL, &_inner_error_);
#line 117 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1190 "Utils.c"
				goto __catch3_g_error;
			}
		}
		goto __finally3;
		__catch3_g_error:
		{
			GError* e = NULL;
			GError* _tmp7_;
			const gchar* _tmp8_;
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			e = _inner_error_;
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_inner_error_ = NULL;
#line 119 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp7_ = e;
#line 119 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp8_ = _tmp7_->message;
#line 119 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			g_warning ("Utils.vala:119: %s", _tmp8_);
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_g_error_free0 (e);
#line 1212 "Utils.c"
		}
		__finally3:
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_g_ptr_array_unref0 (devices);
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			g_clear_error (&_inner_error_);
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return;
#line 1225 "Utils.c"
		}
	}
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_g_ptr_array_unref0 (devices);
#line 1230 "Utils.c"
}


static void
___lambda6__gfunc (gconstpointer data,
                   gpointer self)
{
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	__lambda6_ (self, (NMActiveConnection*) data);
#line 1240 "Utils.c"
}


void
network_utils_hotspot_deactivate_hotspot (NMDeviceWifi* wifi_device)
{
	Block2Data* _data2_;
	NMDeviceWifi* _tmp0_;
	NMClient* _tmp1_;
	GPtrArray* _tmp2_;
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_if_fail (wifi_device != NULL);
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_data2_ = g_slice_new0 (Block2Data);
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_data2_->_ref_count_ = 1;
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp0_ = _g_object_ref0 (wifi_device);
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_g_object_unref0 (_data2_->wifi_device);
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_data2_->wifi_device = _tmp0_;
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp1_ = client;
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp2_ = nm_client_get_active_connections (_tmp1_);
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_ptr_array_foreach (_tmp2_, ___lambda6__gfunc, _data2_);
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	block2_data_unref (_data2_);
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_data2_ = NULL;
#line 1273 "Utils.c"
}


static void
network_utils_hotspot_set_wpa_key (NMSettingWirelessSecurity* setting,
                                   const gchar* key)
{
#line 125 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_if_fail (setting != NULL);
#line 125 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_if_fail (key != NULL);
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_object_set (setting, "key-mgmt", "wpa-psk", NULL);
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_object_set (setting, "psk", key, NULL);
#line 1289 "Utils.c"
}


static void
network_utils_hotspot_set_wep_key (NMSettingWirelessSecurity* setting,
                                   const gchar* key)
{
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_if_fail (setting != NULL);
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_if_fail (key != NULL);
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_object_set (setting, "key-mgmt", "none", NULL);
#line 132 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_object_set (setting, "wep-key0", key, NULL);
#line 133 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_object_set (setting, "wep-key-type", NM_WEP_KEY_TYPE_PASSPHRASE, NULL);
#line 1307 "Utils.c"
}


gboolean
network_utils_hotspot_get_device_is_hotspot (NMDeviceWifi* wifi_device,
                                             NMClient* nm_client)
{
	gboolean result = FALSE;
	NMActiveConnection* _tmp0_;
#line 136 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_val_if_fail (wifi_device != NULL, FALSE);
#line 136 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_val_if_fail (nm_client != NULL, FALSE);
#line 137 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp0_ = nm_device_get_active_connection ((NMDevice*) wifi_device);
#line 137 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (_tmp0_ != NULL) {
#line 1325 "Utils.c"
		NMRemoteConnection* connection = NULL;
		NMActiveConnection* _tmp1_;
		NMRemoteConnection* _tmp2_;
		NMRemoteConnection* _tmp3_;
		NMRemoteConnection* _tmp4_;
#line 138 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp1_ = nm_device_get_active_connection ((NMDevice*) wifi_device);
#line 138 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp2_ = nm_active_connection_get_connection (_tmp1_);
#line 138 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp3_ = _g_object_ref0 (_tmp2_);
#line 138 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		connection = _tmp3_;
#line 139 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp4_ = connection;
#line 139 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		if (_tmp4_ != NULL) {
#line 1343 "Utils.c"
			NMSettingIP4Config* ip4_setting = NULL;
			NMRemoteConnection* _tmp5_;
			NMSettingIP4Config* _tmp6_;
			NMSettingIP4Config* _tmp7_;
			gboolean _tmp8_ = FALSE;
			NMSettingIP4Config* _tmp9_;
#line 140 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp5_ = connection;
#line 140 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp6_ = nm_connection_get_setting_ip4_config ((NMConnection*) _tmp5_);
#line 140 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp7_ = _g_object_ref0 (_tmp6_);
#line 140 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			ip4_setting = _tmp7_;
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_tmp9_ = ip4_setting;
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			if (_tmp9_ != NULL) {
#line 1362 "Utils.c"
				NMSettingIP4Config* _tmp10_;
				const gchar* _tmp11_;
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
				_tmp10_ = ip4_setting;
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
				_tmp11_ = nm_setting_ip_config_get_method ((NMSettingIPConfig*) _tmp10_);
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
				_tmp8_ = g_strcmp0 (_tmp11_, "shared") == 0;
#line 1371 "Utils.c"
			} else {
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
				_tmp8_ = FALSE;
#line 1375 "Utils.c"
			}
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			result = _tmp8_;
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_g_object_unref0 (ip4_setting);
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			_g_object_unref0 (connection);
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return result;
#line 1385 "Utils.c"
		}
#line 137 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_g_object_unref0 (connection);
#line 1389 "Utils.c"
	}
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	result = FALSE;
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return result;
#line 1395 "Utils.c"
}


gboolean
network_utils_hotspot_get_connection_is_hotspot (NMConnection* connection)
{
	gboolean result = FALSE;
	NMSettingConnection* setting_connection = NULL;
	NMSettingConnection* _tmp0_;
	NMSettingConnection* _tmp1_;
	NMSettingConnection* _tmp2_;
	const gchar* _tmp3_;
	NMSettingWireless* setting_wireless = NULL;
	NMSettingWireless* _tmp4_;
	NMSettingWireless* _tmp5_;
	gboolean _tmp6_ = FALSE;
	NMSettingWireless* _tmp7_;
	const gchar* _tmp8_;
	NMSettingWirelessSecurity* _tmp11_;
	NMSettingIP4Config* ip4_config = NULL;
	NMSettingIP4Config* _tmp12_;
	NMSettingIP4Config* _tmp13_;
	NMSettingIP4Config* _tmp14_;
	const gchar* _tmp15_;
#line 148 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_val_if_fail (connection != NULL, FALSE);
#line 149 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp0_ = nm_connection_get_setting_connection (connection);
#line 149 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 149 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	setting_connection = _tmp1_;
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp2_ = setting_connection;
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp3_ = nm_setting_connection_get_connection_type (_tmp2_);
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (g_strcmp0 (_tmp3_, "802-11-wireless") != 0) {
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		result = FALSE;
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_g_object_unref0 (setting_connection);
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		return result;
#line 1440 "Utils.c"
	}
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp4_ = nm_connection_get_setting_wireless (connection);
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	setting_wireless = _tmp5_;
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp7_ = setting_wireless;
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp8_ = nm_setting_wireless_get_mode (_tmp7_);
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (g_strcmp0 (_tmp8_, "adhoc") != 0) {
#line 1454 "Utils.c"
		NMSettingWireless* _tmp9_;
		const gchar* _tmp10_;
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp9_ = setting_wireless;
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp10_ = nm_setting_wireless_get_mode (_tmp9_);
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp6_ = g_strcmp0 (_tmp10_, "ap") != 0;
#line 1463 "Utils.c"
	} else {
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_tmp6_ = FALSE;
#line 1467 "Utils.c"
	}
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (_tmp6_) {
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		result = FALSE;
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_g_object_unref0 (setting_wireless);
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_g_object_unref0 (setting_connection);
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		return result;
#line 1479 "Utils.c"
	}
#line 160 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp11_ = nm_connection_get_setting_wireless_security (connection);
#line 160 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (_tmp11_ == NULL) {
#line 161 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		result = FALSE;
#line 161 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_g_object_unref0 (setting_wireless);
#line 161 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_g_object_unref0 (setting_connection);
#line 161 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		return result;
#line 1493 "Utils.c"
	}
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp12_ = nm_connection_get_setting_ip4_config (connection);
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp13_ = _g_object_ref0 (_tmp12_);
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	ip4_config = _tmp13_;
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp14_ = ip4_config;
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_tmp15_ = nm_setting_ip_config_get_method ((NMSettingIPConfig*) _tmp14_);
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (g_strcmp0 (_tmp15_, "shared") != 0) {
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		result = FALSE;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_g_object_unref0 (ip4_config);
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_g_object_unref0 (setting_wireless);
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		_g_object_unref0 (setting_connection);
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		return result;
#line 1517 "Utils.c"
	}
#line 169 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	result = TRUE;
#line 169 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_g_object_unref0 (ip4_config);
#line 169 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_g_object_unref0 (setting_wireless);
#line 169 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	_g_object_unref0 (setting_connection);
#line 169 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return result;
#line 1529 "Utils.c"
}


NetworkUtilsHotspot*
network_utils_hotspot_construct (GType object_type)
{
	NetworkUtilsHotspot* self = NULL;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	self = (NetworkUtilsHotspot*) g_type_create_instance (object_type);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return self;
#line 1541 "Utils.c"
}


NetworkUtilsHotspot*
network_utils_hotspot_new (void)
{
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return network_utils_hotspot_construct (NETWORK_UTILS_TYPE_HOTSPOT);
#line 1550 "Utils.c"
}


static void
network_utils_value_hotspot_init (GValue* value)
{
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	value->data[0].v_pointer = NULL;
#line 1559 "Utils.c"
}


static void
network_utils_value_hotspot_free_value (GValue* value)
{
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (value->data[0].v_pointer) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		network_utils_hotspot_unref (value->data[0].v_pointer);
#line 1570 "Utils.c"
	}
}


static void
network_utils_value_hotspot_copy_value (const GValue* src_value,
                                        GValue* dest_value)
{
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (src_value->data[0].v_pointer) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		dest_value->data[0].v_pointer = network_utils_hotspot_ref (src_value->data[0].v_pointer);
#line 1583 "Utils.c"
	} else {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		dest_value->data[0].v_pointer = NULL;
#line 1587 "Utils.c"
	}
}


static gpointer
network_utils_value_hotspot_peek_pointer (const GValue* value)
{
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return value->data[0].v_pointer;
#line 1597 "Utils.c"
}


static gchar*
network_utils_value_hotspot_collect_value (GValue* value,
                                           guint n_collect_values,
                                           GTypeCValue* collect_values,
                                           guint collect_flags)
{
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (collect_values[0].v_pointer) {
#line 1609 "Utils.c"
		NetworkUtilsHotspot * object;
		object = collect_values[0].v_pointer;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		if (object->parent_instance.g_class == NULL) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1616 "Utils.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1620 "Utils.c"
		}
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		value->data[0].v_pointer = network_utils_hotspot_ref (object);
#line 1624 "Utils.c"
	} else {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		value->data[0].v_pointer = NULL;
#line 1628 "Utils.c"
	}
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return NULL;
#line 1632 "Utils.c"
}


static gchar*
network_utils_value_hotspot_lcopy_value (const GValue* value,
                                         guint n_collect_values,
                                         GTypeCValue* collect_values,
                                         guint collect_flags)
{
	NetworkUtilsHotspot ** object_p;
	object_p = collect_values[0].v_pointer;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (!object_p) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 1648 "Utils.c"
	}
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (!value->data[0].v_pointer) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		*object_p = NULL;
#line 1654 "Utils.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		*object_p = value->data[0].v_pointer;
#line 1658 "Utils.c"
	} else {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		*object_p = network_utils_hotspot_ref (value->data[0].v_pointer);
#line 1662 "Utils.c"
	}
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return NULL;
#line 1666 "Utils.c"
}


GParamSpec*
network_utils_param_spec_hotspot (const gchar* name,
                                  const gchar* nick,
                                  const gchar* blurb,
                                  GType object_type,
                                  GParamFlags flags)
{
	NetworkUtilsParamSpecHotspot* spec;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_val_if_fail (g_type_is_a (object_type, NETWORK_UTILS_TYPE_HOTSPOT), NULL);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return G_PARAM_SPEC (spec);
#line 1686 "Utils.c"
}


gpointer
network_utils_value_get_hotspot (const GValue* value)
{
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NETWORK_UTILS_TYPE_HOTSPOT), NULL);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return value->data[0].v_pointer;
#line 1697 "Utils.c"
}


void
network_utils_value_set_hotspot (GValue* value,
                                 gpointer v_object)
{
	NetworkUtilsHotspot * old;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NETWORK_UTILS_TYPE_HOTSPOT));
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	old = value->data[0].v_pointer;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (v_object) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, NETWORK_UTILS_TYPE_HOTSPOT));
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		value->data[0].v_pointer = v_object;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		network_utils_hotspot_ref (value->data[0].v_pointer);
#line 1720 "Utils.c"
	} else {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		value->data[0].v_pointer = NULL;
#line 1724 "Utils.c"
	}
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (old) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		network_utils_hotspot_unref (old);
#line 1730 "Utils.c"
	}
}


void
network_utils_value_take_hotspot (GValue* value,
                                  gpointer v_object)
{
	NetworkUtilsHotspot * old;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NETWORK_UTILS_TYPE_HOTSPOT));
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	old = value->data[0].v_pointer;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (v_object) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, NETWORK_UTILS_TYPE_HOTSPOT));
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		value->data[0].v_pointer = v_object;
#line 1752 "Utils.c"
	} else {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		value->data[0].v_pointer = NULL;
#line 1756 "Utils.c"
	}
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (old) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		network_utils_hotspot_unref (old);
#line 1762 "Utils.c"
	}
}


static void
network_utils_hotspot_class_init (NetworkUtilsHotspotClass * klass)
{
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	network_utils_hotspot_parent_class = g_type_class_peek_parent (klass);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	((NetworkUtilsHotspotClass *) klass)->finalize = network_utils_hotspot_finalize;
#line 1774 "Utils.c"
}


static void
network_utils_hotspot_instance_init (NetworkUtilsHotspot * self)
{
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	self->ref_count = 1;
#line 1783 "Utils.c"
}


static void
network_utils_hotspot_finalize (NetworkUtilsHotspot * obj)
{
	NetworkUtilsHotspot * self;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_UTILS_TYPE_HOTSPOT, NetworkUtilsHotspot);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_signal_handlers_destroy (self);
#line 1795 "Utils.c"
}


GType
network_utils_hotspot_get_type (void)
{
	static volatile gsize network_utils_hotspot_type_id__volatile = 0;
	if (g_once_init_enter (&network_utils_hotspot_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { network_utils_value_hotspot_init, network_utils_value_hotspot_free_value, network_utils_value_hotspot_copy_value, network_utils_value_hotspot_peek_pointer, "p", network_utils_value_hotspot_collect_value, "p", network_utils_value_hotspot_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (NetworkUtilsHotspotClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_utils_hotspot_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkUtilsHotspot), 0, (GInstanceInitFunc) network_utils_hotspot_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType network_utils_hotspot_type_id;
		network_utils_hotspot_type_id = g_type_register_fundamental (g_type_fundamental_next (), "NetworkUtilsHotspot", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&network_utils_hotspot_type_id__volatile, network_utils_hotspot_type_id);
	}
	return network_utils_hotspot_type_id__volatile;
}


gpointer
network_utils_hotspot_ref (gpointer instance)
{
	NetworkUtilsHotspot * self;
	self = instance;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_atomic_int_inc (&self->ref_count);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return instance;
#line 1824 "Utils.c"
}


void
network_utils_hotspot_unref (gpointer instance)
{
	NetworkUtilsHotspot * self;
	self = instance;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		NETWORK_UTILS_HOTSPOT_GET_CLASS (self)->finalize (self);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 1839 "Utils.c"
	}
}


static void
network_value_utils_init (GValue* value)
{
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	value->data[0].v_pointer = NULL;
#line 1849 "Utils.c"
}


static void
network_value_utils_free_value (GValue* value)
{
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (value->data[0].v_pointer) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		network_utils_unref (value->data[0].v_pointer);
#line 1860 "Utils.c"
	}
}


static void
network_value_utils_copy_value (const GValue* src_value,
                                GValue* dest_value)
{
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (src_value->data[0].v_pointer) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		dest_value->data[0].v_pointer = network_utils_ref (src_value->data[0].v_pointer);
#line 1873 "Utils.c"
	} else {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		dest_value->data[0].v_pointer = NULL;
#line 1877 "Utils.c"
	}
}


static gpointer
network_value_utils_peek_pointer (const GValue* value)
{
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return value->data[0].v_pointer;
#line 1887 "Utils.c"
}


static gchar*
network_value_utils_collect_value (GValue* value,
                                   guint n_collect_values,
                                   GTypeCValue* collect_values,
                                   guint collect_flags)
{
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (collect_values[0].v_pointer) {
#line 1899 "Utils.c"
		NetworkUtils * object;
		object = collect_values[0].v_pointer;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		if (object->parent_instance.g_class == NULL) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1906 "Utils.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1910 "Utils.c"
		}
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		value->data[0].v_pointer = network_utils_ref (object);
#line 1914 "Utils.c"
	} else {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		value->data[0].v_pointer = NULL;
#line 1918 "Utils.c"
	}
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return NULL;
#line 1922 "Utils.c"
}


static gchar*
network_value_utils_lcopy_value (const GValue* value,
                                 guint n_collect_values,
                                 GTypeCValue* collect_values,
                                 guint collect_flags)
{
	NetworkUtils ** object_p;
	object_p = collect_values[0].v_pointer;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (!object_p) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 1938 "Utils.c"
	}
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (!value->data[0].v_pointer) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		*object_p = NULL;
#line 1944 "Utils.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		*object_p = value->data[0].v_pointer;
#line 1948 "Utils.c"
	} else {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		*object_p = network_utils_ref (value->data[0].v_pointer);
#line 1952 "Utils.c"
	}
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return NULL;
#line 1956 "Utils.c"
}


GParamSpec*
network_param_spec_utils (const gchar* name,
                          const gchar* nick,
                          const gchar* blurb,
                          GType object_type,
                          GParamFlags flags)
{
	NetworkParamSpecUtils* spec;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_val_if_fail (g_type_is_a (object_type, NETWORK_TYPE_UTILS), NULL);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return G_PARAM_SPEC (spec);
#line 1976 "Utils.c"
}


gpointer
network_value_get_utils (const GValue* value)
{
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NETWORK_TYPE_UTILS), NULL);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return value->data[0].v_pointer;
#line 1987 "Utils.c"
}


void
network_value_set_utils (GValue* value,
                         gpointer v_object)
{
	NetworkUtils * old;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NETWORK_TYPE_UTILS));
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	old = value->data[0].v_pointer;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (v_object) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, NETWORK_TYPE_UTILS));
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		value->data[0].v_pointer = v_object;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		network_utils_ref (value->data[0].v_pointer);
#line 2010 "Utils.c"
	} else {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		value->data[0].v_pointer = NULL;
#line 2014 "Utils.c"
	}
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (old) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		network_utils_unref (old);
#line 2020 "Utils.c"
	}
}


void
network_value_take_utils (GValue* value,
                          gpointer v_object)
{
	NetworkUtils * old;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NETWORK_TYPE_UTILS));
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	old = value->data[0].v_pointer;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (v_object) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, NETWORK_TYPE_UTILS));
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		value->data[0].v_pointer = v_object;
#line 2042 "Utils.c"
	} else {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		value->data[0].v_pointer = NULL;
#line 2046 "Utils.c"
	}
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (old) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		network_utils_unref (old);
#line 2052 "Utils.c"
	}
}


static void
network_utils_class_init (NetworkUtilsClass * klass)
{
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	network_utils_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	((NetworkUtilsClass *) klass)->finalize = network_utils_finalize;
#line 2064 "Utils.c"
}


static void
network_utils_instance_init (NetworkUtils * self)
{
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	self->ref_count = 1;
#line 2073 "Utils.c"
}


static void
network_utils_finalize (NetworkUtils * obj)
{
	NetworkUtils * self;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_TYPE_UTILS, NetworkUtils);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_signal_handlers_destroy (self);
#line 2085 "Utils.c"
}


GType
network_utils_get_type (void)
{
	static volatile gsize network_utils_type_id__volatile = 0;
	if (g_once_init_enter (&network_utils_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { network_value_utils_init, network_value_utils_free_value, network_value_utils_copy_value, network_value_utils_peek_pointer, "p", network_value_utils_collect_value, "p", network_value_utils_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (NetworkUtilsClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_utils_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkUtils), 0, (GInstanceInitFunc) network_utils_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType network_utils_type_id;
		network_utils_type_id = g_type_register_fundamental (g_type_fundamental_next (), "NetworkUtils", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&network_utils_type_id__volatile, network_utils_type_id);
	}
	return network_utils_type_id__volatile;
}


gpointer
network_utils_ref (gpointer instance)
{
	NetworkUtils * self;
	self = instance;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	g_atomic_int_inc (&self->ref_count);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	return instance;
#line 2114 "Utils.c"
}


void
network_utils_unref (gpointer instance)
{
	NetworkUtils * self;
	self = instance;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		NETWORK_UTILS_GET_CLASS (self)->finalize (self);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Utils.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 2129 "Utils.c"
	}
}



