/* HotspotDialog.c generated by valac 0.39.7, the Vala compiler
 * generated from HotspotDialog.vala, do not modify */

/*-
 * Copyright (c) 2015-2016 elementary LLC.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include "NetworkManager.h"
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>


#define NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG (network_widgets_hotspot_dialog_get_type ())
#define NETWORK_WIDGETS_HOTSPOT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, NetworkWidgetsHotspotDialog))
#define NETWORK_WIDGETS_HOTSPOT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, NetworkWidgetsHotspotDialogClass))
#define NETWORK_WIDGETS_IS_HOTSPOT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG))
#define NETWORK_WIDGETS_IS_HOTSPOT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG))
#define NETWORK_WIDGETS_HOTSPOT_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, NetworkWidgetsHotspotDialogClass))

typedef struct _NetworkWidgetsHotspotDialog NetworkWidgetsHotspotDialog;
typedef struct _NetworkWidgetsHotspotDialogClass NetworkWidgetsHotspotDialogClass;
typedef struct _NetworkWidgetsHotspotDialogPrivate NetworkWidgetsHotspotDialogPrivate;
enum  {
	NETWORK_WIDGETS_HOTSPOT_DIALOG_0_PROPERTY,
	NETWORK_WIDGETS_HOTSPOT_DIALOG_NUM_PROPERTIES
};
static GParamSpec* network_widgets_hotspot_dialog_properties[NETWORK_WIDGETS_HOTSPOT_DIALOG_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_byte_array_unref0(var) ((var == NULL) ? NULL : (var = (g_byte_array_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))

struct _NetworkWidgetsHotspotDialog {
	GtkDialog parent_instance;
	NetworkWidgetsHotspotDialogPrivate * priv;
};

struct _NetworkWidgetsHotspotDialogClass {
	GtkDialogClass parent_class;
};

struct _NetworkWidgetsHotspotDialogPrivate {
	GtkEntry* ssid_entry;
	GtkEntry* key_entry;
	GtkLabel* ssid_label;
	GtkLabel* key_label;
	GtkComboBoxText* conn_combo;
	GtkCheckButton* check_btn;
	GtkButton* create_btn;
	GHashTable* conn_hash;
	GList* available;
};

typedef void (*NetworkUtilsHotspotUpdateSecretCallback) (void* user_data);

static gpointer network_widgets_hotspot_dialog_parent_class = NULL;

GType network_widgets_hotspot_dialog_get_type (void) G_GNUC_CONST;
#define NETWORK_WIDGETS_HOTSPOT_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, NetworkWidgetsHotspotDialogPrivate))
#define NETWORK_WIDGETS_HOTSPOT_DIALOG_NEW_ID "0"
NetworkWidgetsHotspotDialog* network_widgets_hotspot_dialog_new (NMAccessPoint* active,
                                                                 GList* _available);
NetworkWidgetsHotspotDialog* network_widgets_hotspot_dialog_construct (GType object_type,
                                                                       NMAccessPoint* active,
                                                                       GList* _available);
static void _g_free0_ (gpointer var);
static void _g_object_unref0_ (gpointer var);
static gchar* network_widgets_hotspot_dialog_get_ssid_for_hotspot (NetworkWidgetsHotspotDialog* self);
static void __lambda26_ (NetworkWidgetsHotspotDialog* self);
static void ___lambda26__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                             gpointer self);
static void network_widgets_hotspot_dialog_update (NetworkWidgetsHotspotDialog* self);
static void _network_widgets_hotspot_dialog_update_gtk_editable_changed (GtkEditable* _sender,
                                                                  gpointer self);
static void _network_widgets_hotspot_dialog_update_gtk_combo_box_changed (GtkComboBox* _sender,
                                                                   gpointer self);
GByteArray* network_widgets_hotspot_dialog_get_ssid (NetworkWidgetsHotspotDialog* self);
gchar* network_widgets_hotspot_dialog_get_key (NetworkWidgetsHotspotDialog* self);
NMConnection* network_widgets_hotspot_dialog_get_selected_connection (NetworkWidgetsHotspotDialog* self);
void network_utils_hotspot_update_secrets (NMRemoteConnection* connection,
                                           NetworkUtilsHotspotUpdateSecretCallback callback,
                                           void* callback_target);
static void _network_widgets_hotspot_dialog_update_network_utils_hotspot_update_secret_callback (gpointer self);
static void network_widgets_hotspot_dialog_finalize (GObject * obj);


static void
_g_free0_ (gpointer var)
{
#line 43 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	var = (g_free (var), NULL);
#line 116 "HotspotDialog.c"
}


static void
_g_object_unref0_ (gpointer var)
{
#line 43 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 125 "HotspotDialog.c"
}


static void
__lambda26_ (NetworkWidgetsHotspotDialog* self)
{
	GtkEntry* _tmp0_;
	GtkCheckButton* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
#line 77 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = self->priv->key_entry;
#line 77 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = self->priv->check_btn;
#line 77 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp1_);
#line 77 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp3_ = _tmp2_;
#line 77 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_entry_set_visibility (_tmp0_, _tmp3_);
#line 146 "HotspotDialog.c"
}


static void
___lambda26__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                        gpointer self)
{
#line 76 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	__lambda26_ ((NetworkWidgetsHotspotDialog*) self);
#line 156 "HotspotDialog.c"
}


static void
_network_widgets_hotspot_dialog_update_gtk_editable_changed (GtkEditable* _sender,
                                                             gpointer self)
{
#line 80 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	network_widgets_hotspot_dialog_update ((NetworkWidgetsHotspotDialog*) self);
#line 166 "HotspotDialog.c"
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 175 "HotspotDialog.c"
}


static void
_network_widgets_hotspot_dialog_update_gtk_combo_box_changed (GtkComboBox* _sender,
                                                              gpointer self)
{
#line 101 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	network_widgets_hotspot_dialog_update ((NetworkWidgetsHotspotDialog*) self);
#line 185 "HotspotDialog.c"
}


NetworkWidgetsHotspotDialog*
network_widgets_hotspot_dialog_construct (GType object_type,
                                          NMAccessPoint* active,
                                          GList* _available)
{
	NetworkWidgetsHotspotDialog * self = NULL;
	GHashFunc _tmp0_;
	GEqualFunc _tmp1_;
	GHashTable* _tmp2_;
	gchar* ssid_str = NULL;
	GtkImage* image = NULL;
	GtkImage* _tmp8_;
	GtkImage* _tmp9_;
	GtkLabel* title = NULL;
	GtkLabel* _tmp10_;
	GtkLabel* _tmp11_;
	GtkStyleContext* _tmp12_;
	GtkLabel* _tmp13_;
	GtkLabel* info_label = NULL;
	const gchar* _tmp14_;
	gchar* _tmp15_;
	gchar* _tmp16_;
	gchar* _tmp17_;
	gchar* _tmp18_;
	gchar* _tmp19_;
	gchar* _tmp20_;
	GtkLabel* _tmp21_;
	GtkLabel* _tmp22_;
	GtkLabel* _tmp23_;
	GtkLabel* _tmp24_;
	GtkLabel* _tmp25_;
	GtkLabel* _tmp26_;
	GtkLabel* _tmp27_;
	GtkEntry* _tmp28_;
	GtkEntry* _tmp29_;
	GtkEntry* _tmp30_;
	gchar* _tmp31_;
	gchar* _tmp32_;
	GtkEntry* _tmp33_;
	GtkEntry* _tmp34_;
	GtkEntry* _tmp35_;
	GtkCheckButton* _tmp36_;
	GtkCheckButton* _tmp37_;
	GtkEntry* _tmp38_;
	GtkEntry* _tmp39_;
	GtkLabel* _tmp40_;
	GtkLabel* _tmp41_;
	GtkLabel* _tmp42_;
	GtkLabel* _tmp43_;
	GtkComboBoxText* _tmp44_;
	GtkComboBoxText* _tmp45_;
	gint i = 0;
	GList* _tmp46_;
	GtkComboBoxText* _tmp67_;
	GtkComboBoxText* _tmp68_;
	GtkLabel* conn_label = NULL;
	GtkLabel* _tmp69_;
	GtkLabel* _tmp70_;
	GtkGrid* main_grid = NULL;
	GtkGrid* _tmp71_;
	GtkGrid* _tmp72_;
	GtkGrid* _tmp73_;
	GtkGrid* _tmp74_;
	GtkGrid* _tmp75_;
	GtkGrid* _tmp76_;
	GtkImage* _tmp77_;
	GtkGrid* _tmp78_;
	GtkLabel* _tmp79_;
	GtkGrid* _tmp80_;
	GtkLabel* _tmp81_;
	GtkGrid* _tmp82_;
	GtkLabel* _tmp83_;
	GtkGrid* _tmp84_;
	GtkComboBoxText* _tmp85_;
	GtkGrid* _tmp86_;
	GtkLabel* _tmp87_;
	GtkGrid* _tmp88_;
	GtkEntry* _tmp89_;
	GtkGrid* _tmp90_;
	GtkLabel* _tmp91_;
	GtkGrid* _tmp92_;
	GtkEntry* _tmp93_;
	GtkGrid* _tmp94_;
	GtkCheckButton* _tmp95_;
	GtkBox* _tmp96_;
	GtkGrid* _tmp97_;
	GtkButton* cancel_btn = NULL;
	GtkButton* _tmp98_;
	GtkButton* _tmp99_;
	GtkButton* _tmp100_;
	GtkStyleContext* _tmp101_;
	GtkButton* _tmp103_;
	GtkButton* _tmp104_;
	GtkWidget* _tmp105_;
#line 35 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	self = (NetworkWidgetsHotspotDialog*) g_object_new (object_type, "deletable", FALSE, "resizable", FALSE, "window-position", GTK_WIN_POS_CENTER_ON_PARENT, NULL);
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->available = _available;
#line 43 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = g_str_hash;
#line 43 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = g_str_equal;
#line 43 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = g_hash_table_new_full (_tmp0_, _tmp1_, _g_free0_, _g_object_unref0_);
#line 43 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_hash_table_unref0 (self->priv->conn_hash);
#line 43 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->conn_hash = _tmp2_;
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	ssid_str = NULL;
#line 46 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	if (active != NULL) {
#line 301 "HotspotDialog.c"
		GBytes* _tmp3_;
		gsize _tmp4_;
		guint8* _tmp5_;
		gchar* _tmp6_;
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp3_ = nm_access_point_get_ssid (active);
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp5_ = g_bytes_get_data (_tmp3_, &_tmp4_);
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp6_ = nm_utils_ssid_to_utf8 (_tmp5_, (gsize) _tmp4_);
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (ssid_str);
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		ssid_str = _tmp6_;
#line 316 "HotspotDialog.c"
	} else {
		gchar* _tmp7_;
#line 49 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp7_ = g_strdup (_ ("current"));
#line 49 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (ssid_str);
#line 49 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		ssid_str = _tmp7_;
#line 325 "HotspotDialog.c"
	}
#line 52 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp8_ = (GtkImage*) gtk_image_new_from_icon_name ("network-wireless-hotspot", (GtkIconSize) GTK_ICON_SIZE_DIALOG);
#line 52 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp8_);
#line 52 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	image = _tmp8_;
#line 53 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp9_ = image;
#line 53 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp9_, GTK_ALIGN_START);
#line 55 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp10_ = (GtkLabel*) gtk_label_new (_ ("Wireless Hotspot"));
#line 55 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp10_);
#line 55 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	title = _tmp10_;
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp11_ = title;
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp12_ = gtk_widget_get_style_context ((GtkWidget*) _tmp11_);
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_style_context_add_class (_tmp12_, "primary");
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp13_ = title;
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_label_set_xalign (_tmp13_, (gfloat) 0);
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp14_ = ssid_str;
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp15_ = g_strdup_printf (_ ("Enabling Wireless Hotspot will disconnect from %s network."), _tmp14_);
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp16_ = _tmp15_;
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp17_ = g_strconcat (_tmp16_, " ", NULL);
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp18_ = _tmp17_;
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp19_ = g_strconcat (_tmp18_, _ ("You will not be able to connect to a wireless network while Hotspot is" \
" active."), NULL);
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp20_ = _tmp19_;
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp21_ = (GtkLabel*) gtk_label_new (_tmp20_);
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp21_);
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp22_ = _tmp21_;
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp20_);
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp18_);
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp16_);
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	info_label = _tmp22_;
#line 61 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp23_ = info_label;
#line 61 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_label_set_xalign (_tmp23_, (gfloat) 0);
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp24_ = info_label;
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp24_, 12);
#line 63 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp25_ = info_label;
#line 63 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_label_set_max_width_chars (_tmp25_, 60);
#line 64 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp26_ = info_label;
#line 64 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_label_set_selectable (_tmp26_, TRUE);
#line 65 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp27_ = info_label;
#line 65 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_set (_tmp27_, "wrap", TRUE, NULL);
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp28_ = (GtkEntry*) gtk_entry_new ();
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp28_);
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->ssid_entry);
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->ssid_entry = _tmp28_;
#line 68 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp29_ = self->priv->ssid_entry;
#line 68 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp29_, TRUE);
#line 69 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp30_ = self->priv->ssid_entry;
#line 69 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp31_ = network_widgets_hotspot_dialog_get_ssid_for_hotspot (self);
#line 69 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp32_ = _tmp31_;
#line 69 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_entry_set_text (_tmp30_, _tmp32_);
#line 69 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp32_);
#line 71 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp33_ = (GtkEntry*) gtk_entry_new ();
#line 71 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp33_);
#line 71 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->key_entry);
#line 71 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->key_entry = _tmp33_;
#line 72 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp34_ = self->priv->key_entry;
#line 72 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_entry_set_visibility (_tmp34_, FALSE);
#line 73 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp35_ = self->priv->key_entry;
#line 73 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_set (_tmp35_, "secondary-icon-tooltip-text", _ ("Password needs to be at least 8 characters long."), NULL);
#line 75 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp36_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("Show Password"));
#line 75 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp36_);
#line 75 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->check_btn);
#line 75 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->check_btn = _tmp36_;
#line 76 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp37_ = self->priv->check_btn;
#line 76 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp37_, "toggled", (GCallback) ___lambda26__gtk_toggle_button_toggled, self, 0);
#line 80 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp38_ = self->priv->ssid_entry;
#line 80 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_signal_connect_object ((GtkEditable*) _tmp38_, "changed", (GCallback) _network_widgets_hotspot_dialog_update_gtk_editable_changed, self, 0);
#line 81 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp39_ = self->priv->key_entry;
#line 81 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_signal_connect_object ((GtkEditable*) _tmp39_, "changed", (GCallback) _network_widgets_hotspot_dialog_update_gtk_editable_changed, self, 0);
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp40_ = (GtkLabel*) gtk_label_new (_ ("Network Name:"));
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp40_);
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->ssid_label);
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->ssid_label = _tmp40_;
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp41_ = self->priv->ssid_label;
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp41_, GTK_ALIGN_END);
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp42_ = (GtkLabel*) gtk_label_new (_ ("Password:"));
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp42_);
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->key_label);
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->key_label = _tmp42_;
#line 87 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp43_ = self->priv->key_label;
#line 87 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp43_, GTK_ALIGN_END);
#line 89 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp44_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 89 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp44_);
#line 89 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->conn_combo);
#line 89 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->conn_combo = _tmp44_;
#line 90 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp45_ = self->priv->conn_combo;
#line 90 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_combo_box_text_append (_tmp45_, NETWORK_WIDGETS_HOTSPOT_DIALOG_NEW_ID, _ ("New…"));
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	i = 1;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp46_ = self->priv->available;
#line 499 "HotspotDialog.c"
	{
		GList* connection_collection = NULL;
		GList* connection_it = NULL;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		connection_collection = _tmp46_;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		for (connection_it = connection_collection; connection_it != NULL; connection_it = connection_it->next) {
#line 507 "HotspotDialog.c"
			NMConnection* _tmp47_;
			NMConnection* connection = NULL;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp47_ = _g_object_ref0 ((NMConnection*) connection_it->data);
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			connection = _tmp47_;
#line 514 "HotspotDialog.c"
			{
				NMSettingWireless* setting_wireless = NULL;
				NMConnection* _tmp48_;
				NMSettingWireless* _tmp49_;
				NMSettingWireless* _tmp50_;
				GtkComboBoxText* _tmp51_;
				gint _tmp52_;
				gchar* _tmp53_;
				gchar* _tmp54_;
				NMSettingWireless* _tmp55_;
				GBytes* _tmp56_;
				gsize _tmp57_;
				guint8* _tmp58_;
				gchar* _tmp59_;
				gchar* _tmp60_;
				GHashTable* _tmp61_;
				gint _tmp62_;
				gchar* _tmp63_;
				NMConnection* _tmp64_;
				NMConnection* _tmp65_;
				gint _tmp66_;
#line 94 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp48_ = connection;
#line 94 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp49_ = nm_connection_get_setting_wireless (_tmp48_);
#line 94 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp50_ = _g_object_ref0 (_tmp49_);
#line 94 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				setting_wireless = _tmp50_;
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp51_ = self->priv->conn_combo;
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp52_ = i;
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp53_ = g_strdup_printf ("%i", _tmp52_);
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp54_ = _tmp53_;
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp55_ = setting_wireless;
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp56_ = nm_setting_wireless_get_ssid (_tmp55_);
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp58_ = g_bytes_get_data (_tmp56_, &_tmp57_);
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp59_ = nm_utils_ssid_to_utf8 (_tmp58_, (gsize) _tmp57_);
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp60_ = _tmp59_;
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				gtk_combo_box_text_append (_tmp51_, _tmp54_, _tmp60_);
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_g_free0 (_tmp60_);
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_g_free0 (_tmp54_);
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp61_ = self->priv->conn_hash;
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp62_ = i;
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp63_ = g_strdup_printf ("%i", _tmp62_);
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp64_ = connection;
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp65_ = _g_object_ref0 (_tmp64_);
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				g_hash_table_insert (_tmp61_, _tmp63_, _tmp65_);
#line 97 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp66_ = i;
#line 97 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				i = _tmp66_ + 1;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_g_object_unref0 (setting_wireless);
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_g_object_unref0 (connection);
#line 588 "HotspotDialog.c"
			}
		}
	}
#line 100 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp67_ = self->priv->conn_combo;
#line 100 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_combo_box_set_active_id ((GtkComboBox*) _tmp67_, NETWORK_WIDGETS_HOTSPOT_DIALOG_NEW_ID);
#line 101 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp68_ = self->priv->conn_combo;
#line 101 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_signal_connect_object ((GtkComboBox*) _tmp68_, "changed", (GCallback) _network_widgets_hotspot_dialog_update_gtk_combo_box_changed, self, 0);
#line 103 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp69_ = (GtkLabel*) gtk_label_new (_ ("Connection:"));
#line 103 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp69_);
#line 103 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	conn_label = _tmp69_;
#line 104 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp70_ = conn_label;
#line 104 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp70_, GTK_ALIGN_END);
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp71_ = (GtkGrid*) gtk_grid_new ();
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp71_);
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	main_grid = _tmp71_;
#line 107 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp72_ = main_grid;
#line 107 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_set_column_spacing (_tmp72_, 12);
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp73_ = main_grid;
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_set_row_spacing (_tmp73_, 6);
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp74_ = main_grid;
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_set ((GtkWidget*) _tmp74_, "margin", 10, NULL);
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp75_ = main_grid;
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp75_, 0);
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp76_ = main_grid;
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp77_ = image;
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach (_tmp76_, (GtkWidget*) _tmp77_, 0, 0, 1, 6);
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp78_ = main_grid;
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp79_ = title;
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach (_tmp78_, (GtkWidget*) _tmp79_, 1, 0, 2, 1);
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp80_ = main_grid;
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp81_ = info_label;
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach (_tmp80_, (GtkWidget*) _tmp81_, 1, 1, 2, 1);
#line 114 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp82_ = main_grid;
#line 114 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp83_ = conn_label;
#line 114 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach (_tmp82_, (GtkWidget*) _tmp83_, 1, 2, 1, 1);
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp84_ = main_grid;
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp85_ = self->priv->conn_combo;
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach (_tmp84_, (GtkWidget*) _tmp85_, 2, 2, 1, 1);
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp86_ = main_grid;
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp87_ = self->priv->ssid_label;
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach (_tmp86_, (GtkWidget*) _tmp87_, 1, 3, 1, 1);
#line 117 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp88_ = main_grid;
#line 117 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp89_ = self->priv->ssid_entry;
#line 117 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach (_tmp88_, (GtkWidget*) _tmp89_, 2, 3, 1, 1);
#line 118 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp90_ = main_grid;
#line 118 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp91_ = self->priv->key_label;
#line 118 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach (_tmp90_, (GtkWidget*) _tmp91_, 1, 4, 1, 1);
#line 119 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp92_ = main_grid;
#line 119 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp93_ = self->priv->key_entry;
#line 119 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach (_tmp92_, (GtkWidget*) _tmp93_, 2, 4, 1, 1);
#line 120 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp94_ = main_grid;
#line 120 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp95_ = self->priv->check_btn;
#line 120 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach (_tmp94_, (GtkWidget*) _tmp95_, 2, 5, 1, 1);
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp96_ = gtk_dialog_get_content_area ((GtkDialog*) self);
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp97_ = main_grid;
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp96_, (GtkWidget*) _tmp97_);
#line 124 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp98_ = (GtkButton*) gtk_button_new_with_label (_ ("Cancel"));
#line 124 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp98_);
#line 124 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	cancel_btn = _tmp98_;
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp99_ = (GtkButton*) gtk_button_new_with_label (_ ("Enable Hotspot"));
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp99_);
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->create_btn);
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->create_btn = _tmp99_;
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp100_ = self->priv->create_btn;
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp101_ = gtk_widget_get_style_context ((GtkWidget*) _tmp100_);
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_style_context_add_class (_tmp101_, "suggested-action");
#line 129 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	if (active != NULL) {
#line 720 "HotspotDialog.c"
		GtkButton* _tmp102_;
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp102_ = self->priv->create_btn;
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		gtk_button_set_label (_tmp102_, _ ("Switch to Hotspot"));
#line 726 "HotspotDialog.c"
	}
#line 133 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp103_ = cancel_btn;
#line 133 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_dialog_add_action_widget ((GtkDialog*) self, (GtkWidget*) _tmp103_, 0);
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp104_ = self->priv->create_btn;
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_dialog_add_action_widget ((GtkDialog*) self, (GtkWidget*) _tmp104_, 1);
#line 136 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp105_ = gtk_dialog_get_action_area ((GtkDialog*) self);
#line 136 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_set (_tmp105_, "margin", 5, NULL);
#line 138 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	network_widgets_hotspot_dialog_update (self);
#line 140 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 34 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (cancel_btn);
#line 34 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (main_grid);
#line 34 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (conn_label);
#line 34 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (info_label);
#line 34 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (title);
#line 34 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (image);
#line 34 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (ssid_str);
#line 34 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	return self;
#line 760 "HotspotDialog.c"
}


NetworkWidgetsHotspotDialog*
network_widgets_hotspot_dialog_new (NMAccessPoint* active,
                                    GList* _available)
{
#line 34 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	return network_widgets_hotspot_dialog_construct (NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, active, _available);
#line 770 "HotspotDialog.c"
}


static guint8*
string_get_data (const gchar* self,
                 int* result_length1)
{
	guint8* result;
	guint8* res = NULL;
	gint res_length1;
	gint _res_size_;
	gint _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	guint8* _tmp3_;
	gint _tmp3__length1;
	guint8* _tmp4_;
	gint _tmp4__length1;
#line 1442 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1443 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	res = (guint8*) self;
#line 1443 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	res_length1 = -1;
#line 1443 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_res_size_ = res_length1;
#line 1444 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1444 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1444 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	res_length1 = (gint) _tmp1_;
#line 1444 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp2_ = res_length1;
#line 1445 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp3_ = res;
#line 1445 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp3__length1 = res_length1;
#line 1445 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp4_ = _tmp3_;
#line 1445 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp4__length1 = _tmp3__length1;
#line 1445 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (result_length1) {
#line 1445 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		*result_length1 = _tmp4__length1;
#line 817 "HotspotDialog.c"
	}
#line 1445 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp4_;
#line 1445 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 823 "HotspotDialog.c"
}


GByteArray*
network_widgets_hotspot_dialog_get_ssid (NetworkWidgetsHotspotDialog* self)
{
	GByteArray* result = NULL;
	GByteArray* byte_array = NULL;
	GByteArray* _tmp0_;
	GtkEntry* _tmp1_;
	const gchar* _tmp2_;
	guint8* _tmp3_;
	gint _tmp3__length1;
	guint8* _tmp4_;
	gint _tmp4__length1;
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = g_byte_array_new ();
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	byte_array = _tmp0_;
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = self->priv->ssid_entry;
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = gtk_entry_get_text (_tmp1_);
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp3_ = string_get_data (_tmp2_, &_tmp3__length1);
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp4_ = _tmp3_;
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp4__length1 = _tmp3__length1;
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_byte_array_append (byte_array, _tmp4_, _tmp4__length1);
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	result = byte_array;
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	return result;
#line 861 "HotspotDialog.c"
}


gchar*
network_widgets_hotspot_dialog_get_key (NetworkWidgetsHotspotDialog* self)
{
	gchar* result = NULL;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
#line 149 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = self->priv->key_entry;
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	result = _tmp2_;
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	return result;
#line 884 "HotspotDialog.c"
}


NMConnection*
network_widgets_hotspot_dialog_get_selected_connection (NetworkWidgetsHotspotDialog* self)
{
	NMConnection* result = NULL;
	GHashTable* _tmp0_;
	GtkComboBoxText* _tmp1_;
	const gchar* _tmp2_;
	gconstpointer _tmp3_;
	NMConnection* _tmp4_;
#line 153 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = self->priv->conn_hash;
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = self->priv->conn_combo;
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp1_);
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp3_ = g_hash_table_lookup (_tmp0_, _tmp2_);
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp4_ = _g_object_ref0 ((NMConnection*) _tmp3_);
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	result = _tmp4_;
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	return result;
#line 913 "HotspotDialog.c"
}


static gchar*
string_strip (const gchar* self)
{
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1248 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1249 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1249 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1250 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1250 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1251 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _result_;
#line 1251 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 938 "HotspotDialog.c"
}


static gchar*
string_replace (const gchar* self,
                const gchar* old,
                const gchar* replacement)
{
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError * _inner_error_ = NULL;
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 961 "HotspotDialog.c"
	} else {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = (*((gchar*) old)) == '\0';
#line 965 "HotspotDialog.c"
	}
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 971 "HotspotDialog.c"
	} else {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (old, replacement) == 0;
#line 975 "HotspotDialog.c"
	}
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 979 "HotspotDialog.c"
		gchar* _tmp2_;
#line 1423 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp2_ = g_strdup (self);
#line 1423 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp2_;
#line 1423 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 987 "HotspotDialog.c"
	}
	{
		GRegex* regex = NULL;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GRegex* _tmp5_;
		GRegex* _tmp6_;
		gchar* _tmp7_ = NULL;
		GRegex* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_escape_string (old, -1);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp5_ = g_regex_new (_tmp4_, 0, 0, &_inner_error_);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp6_ = _tmp5_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp4_);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		regex = _tmp6_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1015 "HotspotDialog.c"
				goto __catch16_g_regex_error;
			}
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 1024 "HotspotDialog.c"
		}
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp8_ = regex;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp9_ = g_regex_replace_literal (_tmp8_, self, (gssize) -1, 0, replacement, 0, &_inner_error_);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = _tmp9_;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1038 "HotspotDialog.c"
				goto __catch16_g_regex_error;
			}
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 1049 "HotspotDialog.c"
		}
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp10_ = _tmp7_;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = NULL;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp10_;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp7_);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 1063 "HotspotDialog.c"
	}
	goto __finally16;
	__catch16_g_regex_error:
	{
		GError* e = NULL;
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1429 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 1077 "HotspotDialog.c"
	}
	__finally16:
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return NULL;
#line 1088 "HotspotDialog.c"
	}
}


static gchar*
network_widgets_hotspot_dialog_get_ssid_for_hotspot (NetworkWidgetsHotspotDialog* self)
{
	gchar* result = NULL;
	gchar* hostname = NULL;
	gchar* _tmp0_;
	const gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	GError * _inner_error_ = NULL;
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 158 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = g_strdup ("");
#line 158 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	hostname = _tmp0_;
#line 1111 "HotspotDialog.c"
	{
		gchar* _tmp1_ = NULL;
#line 160 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		g_spawn_command_line_sync ("hostname", &_tmp1_, NULL, NULL, &_inner_error_);
#line 160 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (hostname);
#line 160 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		hostname = _tmp1_;
#line 160 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 160 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			if (_inner_error_->domain == G_SPAWN_ERROR) {
#line 1124 "HotspotDialog.c"
				goto __catch15_g_spawn_error;
			}
#line 160 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			_g_free0 (hostname);
#line 160 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 160 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			g_clear_error (&_inner_error_);
#line 160 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			return NULL;
#line 1135 "HotspotDialog.c"
		}
	}
	goto __finally15;
	__catch15_g_spawn_error:
	{
		GError* e = NULL;
		GError* _tmp2_;
		const gchar* _tmp3_;
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		e = _inner_error_;
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_inner_error_ = NULL;
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp2_ = e;
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp3_ = _tmp2_->message;
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		g_warning ("HotspotDialog.vala:162: %s\n", _tmp3_);
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_error_free0 (e);
#line 1156 "HotspotDialog.c"
	}
	__finally15:
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (hostname);
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		g_clear_error (&_inner_error_);
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		return NULL;
#line 1169 "HotspotDialog.c"
	}
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp4_ = hostname;
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp5_ = string_strip (_tmp4_);
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp6_ = _tmp5_;
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp7_ = string_replace (_tmp6_, "\n", "");
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp8_ = _tmp7_;
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp6_);
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	result = _tmp8_;
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (hostname);
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	return result;
#line 1189 "HotspotDialog.c"
}


static void
_network_widgets_hotspot_dialog_update_network_utils_hotspot_update_secret_callback (gpointer self)
{
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	network_widgets_hotspot_dialog_update ((NetworkWidgetsHotspotDialog*) self);
#line 1198 "HotspotDialog.c"
}


static gchar*
string_to_utf8 (const gchar* self,
                int* result_length1)
{
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gint _tmp0_;
	gint _tmp1_;
	gchar* _tmp2_;
	gint _result__length1;
	gint __result__size_;
	gint _tmp3_;
	gchar* _tmp4_;
	gint _tmp4__length1;
	gint _tmp5_;
	gint _tmp6_;
	gchar* _tmp7_;
	gint _tmp7__length1;
#line 1449 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1450 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1450 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1450 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp2_ = g_new0 (gchar, _tmp1_ + 1);
#line 1450 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_result_ = _tmp2_;
#line 1450 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_result__length1 = _tmp1_ + 1;
#line 1450 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	__result__size_ = _result__length1;
#line 1451 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp3_ = _result__length1;
#line 1451 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_result__length1 = _tmp3_ - 1;
#line 1452 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp4_ = _result_;
#line 1452 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp4__length1 = _result__length1;
#line 1452 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp5_ = strlen (self);
#line 1452 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp6_ = _tmp5_;
#line 1452 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	memcpy (_tmp4_, self, (gsize) _tmp6_);
#line 1453 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp7_ = _result_;
#line 1453 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp7__length1 = _result__length1;
#line 1453 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (result_length1) {
#line 1453 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		*result_length1 = _tmp7__length1;
#line 1256 "HotspotDialog.c"
	}
#line 1453 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp7_;
#line 1453 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 1262 "HotspotDialog.c"
}


static void
network_widgets_hotspot_dialog_update (NetworkWidgetsHotspotDialog* self)
{
	gboolean sensitive = FALSE;
	GtkComboBoxText* _tmp0_;
	const gchar* _tmp1_;
	GtkLabel* _tmp2_;
	gboolean _tmp3_;
	GtkLabel* _tmp4_;
	gboolean _tmp5_;
	GtkEntry* _tmp6_;
	gboolean _tmp7_;
	GtkEntry* _tmp8_;
	gboolean _tmp9_;
	GtkCheckButton* _tmp10_;
	gboolean _tmp11_;
	gchar* secret = NULL;
	NMConnection* _tmp12_;
	NMConnection* _tmp13_;
	gboolean _tmp14_;
	GtkComboBoxText* _tmp36_;
	const gchar* _tmp37_;
	gboolean _tmp51_ = FALSE;
	gboolean _tmp52_ = FALSE;
	GtkEntry* _tmp53_;
	const gchar* _tmp54_;
	GtkButton* _tmp61_;
	gboolean _tmp62_ = FALSE;
	GtkEntry* _tmp63_;
	const gchar* _tmp64_;
	gint _tmp65_;
	gchar* _tmp66_;
	gchar* _tmp67_;
	gint _tmp67__length1;
	gboolean _tmp68_;
#line 168 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_return_if_fail (self != NULL);
#line 169 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = self->priv->conn_combo;
#line 169 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp0_);
#line 169 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	sensitive = g_strcmp0 (_tmp1_, NETWORK_WIDGETS_HOTSPOT_DIALOG_NEW_ID) == 0;
#line 170 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = self->priv->ssid_label;
#line 170 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp3_ = sensitive;
#line 170 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp2_, _tmp3_);
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp4_ = self->priv->key_label;
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp5_ = sensitive;
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp4_, _tmp5_);
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp6_ = self->priv->ssid_entry;
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp7_ = sensitive;
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp6_, _tmp7_);
#line 174 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp8_ = self->priv->key_entry;
#line 174 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp9_ = sensitive;
#line 174 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp8_, _tmp9_);
#line 176 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp10_ = self->priv->check_btn;
#line 176 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp11_ = sensitive;
#line 176 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp10_, _tmp11_);
#line 178 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	secret = NULL;
#line 179 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp12_ = network_widgets_hotspot_dialog_get_selected_connection (self);
#line 179 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp13_ = _tmp12_;
#line 179 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp14_ = _tmp13_ != NULL;
#line 179 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (_tmp13_);
#line 179 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	if (_tmp14_) {
#line 1351 "HotspotDialog.c"
		NMSettingWirelessSecurity* setting_wireless_security = NULL;
		NMConnection* _tmp15_;
		NMConnection* _tmp16_;
		NMSettingWirelessSecurity* _tmp17_;
		NMSettingWirelessSecurity* _tmp18_;
		NMSettingWirelessSecurity* _tmp19_;
		gchar* key_mgmt = NULL;
		NMSettingWirelessSecurity* _tmp20_;
		const gchar* _tmp21_;
		gchar* _tmp22_;
		const gchar* _tmp23_;
		const gchar* _tmp33_;
#line 180 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp15_ = network_widgets_hotspot_dialog_get_selected_connection (self);
#line 180 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp16_ = _tmp15_;
#line 180 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp17_ = nm_connection_get_setting_wireless_security (_tmp16_);
#line 180 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp18_ = _g_object_ref0 (_tmp17_);
#line 180 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp19_ = _tmp18_;
#line 180 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_object_unref0 (_tmp16_);
#line 180 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		setting_wireless_security = _tmp19_;
#line 182 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp20_ = setting_wireless_security;
#line 182 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp21_ = nm_setting_wireless_security_get_key_mgmt (_tmp20_);
#line 182 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp22_ = g_strdup (_tmp21_);
#line 182 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		key_mgmt = _tmp22_;
#line 183 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp23_ = key_mgmt;
#line 183 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		if (g_strcmp0 (_tmp23_, "none") == 0) {
#line 1390 "HotspotDialog.c"
			NMSettingWirelessSecurity* _tmp24_;
			const gchar* _tmp25_;
			gchar* _tmp26_;
#line 184 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp24_ = setting_wireless_security;
#line 184 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp25_ = nm_setting_wireless_security_get_wep_key (_tmp24_, (guint32) 0);
#line 184 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp26_ = g_strdup (_tmp25_);
#line 184 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			_g_free0 (secret);
#line 184 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			secret = _tmp26_;
#line 1404 "HotspotDialog.c"
		} else {
			gboolean _tmp27_ = FALSE;
			const gchar* _tmp28_;
#line 185 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp28_ = key_mgmt;
#line 185 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			if (g_strcmp0 (_tmp28_, "wpa-psk") == 0) {
#line 185 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp27_ = TRUE;
#line 1414 "HotspotDialog.c"
			} else {
				const gchar* _tmp29_;
#line 186 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp29_ = key_mgmt;
#line 186 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp27_ = g_strcmp0 (_tmp29_, "wpa-none") == 0;
#line 1421 "HotspotDialog.c"
			}
#line 185 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			if (_tmp27_) {
#line 1425 "HotspotDialog.c"
				NMSettingWirelessSecurity* _tmp30_;
				const gchar* _tmp31_;
				gchar* _tmp32_;
#line 187 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp30_ = setting_wireless_security;
#line 187 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp31_ = nm_setting_wireless_security_get_psk (_tmp30_);
#line 187 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp32_ = g_strdup (_tmp31_);
#line 187 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				_g_free0 (secret);
#line 187 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
				secret = _tmp32_;
#line 1439 "HotspotDialog.c"
			}
		}
#line 190 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp33_ = secret;
#line 190 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		if (_tmp33_ == NULL) {
#line 1446 "HotspotDialog.c"
			NMConnection* connection = NULL;
			NMConnection* _tmp34_;
			NMConnection* _tmp35_;
#line 191 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp34_ = network_widgets_hotspot_dialog_get_selected_connection (self);
#line 191 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			connection = _tmp34_;
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp35_ = connection;
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			network_utils_hotspot_update_secrets (G_TYPE_CHECK_INSTANCE_CAST (_tmp35_, nm_remote_connection_get_type (), NMRemoteConnection), _network_widgets_hotspot_dialog_update_network_utils_hotspot_update_secret_callback, self);
#line 190 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			_g_object_unref0 (connection);
#line 1460 "HotspotDialog.c"
		}
#line 179 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (key_mgmt);
#line 179 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_object_unref0 (setting_wireless_security);
#line 1466 "HotspotDialog.c"
	}
#line 196 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp36_ = self->priv->conn_combo;
#line 196 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp37_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp36_);
#line 196 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	if (g_strcmp0 (_tmp37_, NETWORK_WIDGETS_HOTSPOT_DIALOG_NEW_ID) != 0) {
#line 1474 "HotspotDialog.c"
		GtkEntry* _tmp38_;
		NMConnection* _tmp39_;
		NMConnection* _tmp40_;
		NMSettingWireless* _tmp41_;
		GBytes* _tmp42_;
		gsize _tmp43_;
		guint8* _tmp44_;
		gchar* _tmp45_;
		gchar* _tmp46_;
		const gchar* _tmp47_;
		GtkEntry* _tmp49_;
		const gchar* _tmp50_;
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp38_ = self->priv->ssid_entry;
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp39_ = network_widgets_hotspot_dialog_get_selected_connection (self);
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp40_ = _tmp39_;
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp41_ = nm_connection_get_setting_wireless (_tmp40_);
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp42_ = nm_setting_wireless_get_ssid (_tmp41_);
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp44_ = g_bytes_get_data (_tmp42_, &_tmp43_);
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp45_ = nm_utils_ssid_to_utf8 (_tmp44_, (gsize) _tmp43_);
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp46_ = _tmp45_;
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		gtk_entry_set_text (_tmp38_, _tmp46_);
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (_tmp46_);
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_object_unref0 (_tmp40_);
#line 198 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp47_ = secret;
#line 198 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		if (_tmp47_ == NULL) {
#line 1513 "HotspotDialog.c"
			gchar* _tmp48_;
#line 199 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp48_ = g_strdup ("");
#line 199 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			_g_free0 (secret);
#line 199 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
			secret = _tmp48_;
#line 1521 "HotspotDialog.c"
		}
#line 202 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp49_ = self->priv->key_entry;
#line 202 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp50_ = secret;
#line 202 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		gtk_entry_set_text (_tmp49_, _tmp50_);
#line 1529 "HotspotDialog.c"
	}
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp53_ = self->priv->ssid_entry;
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp54_ = gtk_entry_get_text (_tmp53_);
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	if (g_strcmp0 (_tmp54_, "") != 0) {
#line 1537 "HotspotDialog.c"
		GtkEntry* _tmp55_;
		const gchar* _tmp56_;
		gint _tmp57_;
		gchar* _tmp58_;
		gchar* _tmp59_;
		gint _tmp59__length1;
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp55_ = self->priv->key_entry;
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp56_ = gtk_entry_get_text (_tmp55_);
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp58_ = string_to_utf8 (_tmp56_, &_tmp57_);
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp59_ = _tmp58_;
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp59__length1 = _tmp57_;
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp52_ = _tmp57_ >= 8;
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp59_ = (g_free (_tmp59_), NULL);
#line 1558 "HotspotDialog.c"
	} else {
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp52_ = FALSE;
#line 1562 "HotspotDialog.c"
	}
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	if (_tmp52_) {
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp51_ = TRUE;
#line 1568 "HotspotDialog.c"
	} else {
		gboolean _tmp60_;
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp60_ = sensitive;
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp51_ = !_tmp60_;
#line 1575 "HotspotDialog.c"
	}
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp61_ = self->priv->create_btn;
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp61_, _tmp51_);
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp63_ = self->priv->key_entry;
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp64_ = gtk_entry_get_text (_tmp63_);
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp66_ = string_to_utf8 (_tmp64_, &_tmp65_);
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp67_ = _tmp66_;
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp67__length1 = _tmp65_;
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp68_ = _tmp65_ < 8;
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp67_ = (g_free (_tmp67_), NULL);
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	if (_tmp68_) {
#line 1597 "HotspotDialog.c"
		GtkEntry* _tmp69_;
		const gchar* _tmp70_;
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp69_ = self->priv->key_entry;
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp70_ = gtk_entry_get_text (_tmp69_);
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp62_ = g_strcmp0 (_tmp70_, "") != 0;
#line 1606 "HotspotDialog.c"
	} else {
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp62_ = FALSE;
#line 1610 "HotspotDialog.c"
	}
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	if (_tmp62_) {
#line 1614 "HotspotDialog.c"
		GtkEntry* _tmp71_;
#line 208 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp71_ = self->priv->key_entry;
#line 208 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		gtk_entry_set_icon_from_icon_name (_tmp71_, GTK_ENTRY_ICON_SECONDARY, "process-error-symbolic");
#line 1620 "HotspotDialog.c"
	} else {
		GtkEntry* _tmp72_;
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp72_ = self->priv->key_entry;
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
		gtk_entry_set_icon_from_icon_name (_tmp72_, GTK_ENTRY_ICON_SECONDARY, "");
#line 1627 "HotspotDialog.c"
	}
#line 168 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (secret);
#line 1631 "HotspotDialog.c"
}


static void
network_widgets_hotspot_dialog_class_init (NetworkWidgetsHotspotDialogClass * klass)
{
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	network_widgets_hotspot_dialog_parent_class = g_type_class_peek_parent (klass);
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	g_type_class_add_private (klass, sizeof (NetworkWidgetsHotspotDialogPrivate));
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = network_widgets_hotspot_dialog_finalize;
#line 1644 "HotspotDialog.c"
}


static void
network_widgets_hotspot_dialog_instance_init (NetworkWidgetsHotspotDialog * self)
{
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv = NETWORK_WIDGETS_HOTSPOT_DIALOG_GET_PRIVATE (self);
#line 1653 "HotspotDialog.c"
}


static void
network_widgets_hotspot_dialog_finalize (GObject * obj)
{
	NetworkWidgetsHotspotDialog * self;
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, NetworkWidgetsHotspotDialog);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->ssid_entry);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->key_entry);
#line 25 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->ssid_label);
#line 26 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->key_label);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->conn_combo);
#line 28 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->check_btn);
#line 29 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->create_btn);
#line 31 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_hash_table_unref0 (self->priv->conn_hash);
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/Hotspot/HotspotDialog.vala"
	G_OBJECT_CLASS (network_widgets_hotspot_dialog_parent_class)->finalize (obj);
#line 1681 "HotspotDialog.c"
}


GType
network_widgets_hotspot_dialog_get_type (void)
{
	static volatile gsize network_widgets_hotspot_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&network_widgets_hotspot_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NetworkWidgetsHotspotDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_widgets_hotspot_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkWidgetsHotspotDialog), 0, (GInstanceInitFunc) network_widgets_hotspot_dialog_instance_init, NULL };
		GType network_widgets_hotspot_dialog_type_id;
		network_widgets_hotspot_dialog_type_id = g_type_register_static (gtk_dialog_get_type (), "NetworkWidgetsHotspotDialog", &g_define_type_info, 0);
		g_once_init_leave (&network_widgets_hotspot_dialog_type_id__volatile, network_widgets_hotspot_dialog_type_id);
	}
	return network_widgets_hotspot_dialog_type_id__volatile;
}



