/* InfoBox.c generated by valac 0.39.7, the Vala compiler
 * generated from InfoBox.vala, do not modify */

/*-
 * Copyright (c) 2015-2016 elementary LLC.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include "NetworkManager.h"
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>


#define NETWORK_WIDGETS_TYPE_INFO_BOX (network_widgets_info_box_get_type ())
#define NETWORK_WIDGETS_INFO_BOX(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NETWORK_WIDGETS_TYPE_INFO_BOX, NetworkWidgetsInfoBox))
#define NETWORK_WIDGETS_INFO_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NETWORK_WIDGETS_TYPE_INFO_BOX, NetworkWidgetsInfoBoxClass))
#define NETWORK_WIDGETS_IS_INFO_BOX(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NETWORK_WIDGETS_TYPE_INFO_BOX))
#define NETWORK_WIDGETS_IS_INFO_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NETWORK_WIDGETS_TYPE_INFO_BOX))
#define NETWORK_WIDGETS_INFO_BOX_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NETWORK_WIDGETS_TYPE_INFO_BOX, NetworkWidgetsInfoBoxClass))

typedef struct _NetworkWidgetsInfoBox NetworkWidgetsInfoBox;
typedef struct _NetworkWidgetsInfoBoxClass NetworkWidgetsInfoBoxClass;
typedef struct _NetworkWidgetsInfoBoxPrivate NetworkWidgetsInfoBoxPrivate;

#define NETWORK_WIDGETS_TYPE_DEVICE_ITEM (network_widgets_device_item_get_type ())
#define NETWORK_WIDGETS_DEVICE_ITEM(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NETWORK_WIDGETS_TYPE_DEVICE_ITEM, NetworkWidgetsDeviceItem))
#define NETWORK_WIDGETS_DEVICE_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NETWORK_WIDGETS_TYPE_DEVICE_ITEM, NetworkWidgetsDeviceItemClass))
#define NETWORK_WIDGETS_IS_DEVICE_ITEM(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NETWORK_WIDGETS_TYPE_DEVICE_ITEM))
#define NETWORK_WIDGETS_IS_DEVICE_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NETWORK_WIDGETS_TYPE_DEVICE_ITEM))
#define NETWORK_WIDGETS_DEVICE_ITEM_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NETWORK_WIDGETS_TYPE_DEVICE_ITEM, NetworkWidgetsDeviceItemClass))

typedef struct _NetworkWidgetsDeviceItem NetworkWidgetsDeviceItem;
typedef struct _NetworkWidgetsDeviceItemClass NetworkWidgetsDeviceItemClass;
enum  {
	NETWORK_WIDGETS_INFO_BOX_0_PROPERTY,
	NETWORK_WIDGETS_INFO_BOX_NUM_PROPERTIES
};
static GParamSpec* network_widgets_info_box_properties[NETWORK_WIDGETS_INFO_BOX_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block14Data Block14Data;
#define _g_ptr_array_unref0(var) ((var == NULL) ? NULL : (var = (g_ptr_array_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
enum  {
	NETWORK_WIDGETS_INFO_BOX_UPDATE_SIDEBAR_SIGNAL,
	NETWORK_WIDGETS_INFO_BOX_INFO_CHANGED_SIGNAL,
	NETWORK_WIDGETS_INFO_BOX_NUM_SIGNALS
};
static guint network_widgets_info_box_signals[NETWORK_WIDGETS_INFO_BOX_NUM_SIGNALS] = {0};

struct _NetworkWidgetsInfoBox {
	GtkGrid parent_instance;
	NetworkWidgetsInfoBoxPrivate * priv;
};

struct _NetworkWidgetsInfoBoxClass {
	GtkGridClass parent_class;
};

struct _NetworkWidgetsInfoBoxPrivate {
	NMDevice* device;
	NetworkWidgetsDeviceItem* owner;
	GtkLabel* ip4address;
	GtkLabel* ip6address;
	GtkLabel* mask;
	GtkLabel* router;
	GtkLabel* sent;
	GtkLabel* received;
	GtkLabel* ip6address_head;
};

struct _Block14Data {
	int _ref_count_;
	NetworkWidgetsInfoBox* self;
	gint i;
	GPtrArray* addresses;
};


static gpointer network_widgets_info_box_parent_class = NULL;

GType network_widgets_info_box_get_type (void) G_GNUC_CONST;
GType network_widgets_device_item_get_type (void) G_GNUC_CONST;
#define NETWORK_WIDGETS_INFO_BOX_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NETWORK_WIDGETS_TYPE_INFO_BOX, NetworkWidgetsInfoBoxPrivate))
NetworkWidgetsInfoBox* network_widgets_info_box_new_from_device (NMDevice* _device);
NetworkWidgetsInfoBox* network_widgets_info_box_construct_from_device (GType object_type,
                                                                       NMDevice* _device);
static void network_widgets_info_box_init_box (NetworkWidgetsInfoBox* self);
NetworkWidgetsInfoBox* network_widgets_info_box_new_from_owner (NetworkWidgetsDeviceItem* _owner);
NetworkWidgetsInfoBox* network_widgets_info_box_construct_from_owner (GType object_type,
                                                                      NetworkWidgetsDeviceItem* _owner);
NMDevice* network_widgets_device_item_get_item_device (NetworkWidgetsDeviceItem* self);
static void __lambda8_ (NetworkWidgetsInfoBox* self);
void network_widgets_info_box_update_status (NetworkWidgetsInfoBox* self);
static void ___lambda8__nm_device_state_changed (NMDevice* _sender,
                                          guint new_state,
                                          guint old_state,
                                          guint reason,
                                          gpointer self);
void network_widgets_info_box_update_activity (NetworkWidgetsInfoBox* self,
                                               const gchar* sent_bytes,
                                               const gchar* received_bytes);
#define NETWORK_UNKNOWN_STR _ ("Unknown")
static Block14Data* block14_data_ref (Block14Data* _data14_);
static void block14_data_unref (void * _userdata_);
static void ___lambda9_ (Block14Data* _data14_,
                  NMIPAddress* addr);
static void ____lambda9__gfunc (gconstpointer data,
                         gpointer self);
NetworkWidgetsInfoBox* network_widgets_info_box_new (void);
NetworkWidgetsInfoBox* network_widgets_info_box_construct (GType object_type);
static void network_widgets_info_box_finalize (GObject * obj);


static gpointer
_g_object_ref0 (gpointer self)
{
#line 38 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	return self ? g_object_ref (self) : NULL;
#line 143 "InfoBox.c"
}


NetworkWidgetsInfoBox*
network_widgets_info_box_construct_from_device (GType object_type,
                                                NMDevice* _device)
{
	NetworkWidgetsInfoBox * self = NULL;
	NMDevice* _tmp0_;
#line 36 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	self = (NetworkWidgetsInfoBox*) g_object_new (object_type, NULL);
#line 37 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->owner);
#line 37 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	self->priv->owner = NULL;
#line 38 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp0_ = _g_object_ref0 (_device);
#line 38 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->device);
#line 38 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	self->priv->device = _tmp0_;
#line 40 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	network_widgets_info_box_init_box (self);
#line 36 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	return self;
#line 169 "InfoBox.c"
}


NetworkWidgetsInfoBox*
network_widgets_info_box_new_from_device (NMDevice* _device)
{
#line 36 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	return network_widgets_info_box_construct_from_device (NETWORK_WIDGETS_TYPE_INFO_BOX, _device);
#line 178 "InfoBox.c"
}


NetworkWidgetsInfoBox*
network_widgets_info_box_construct_from_owner (GType object_type,
                                               NetworkWidgetsDeviceItem* _owner)
{
	NetworkWidgetsInfoBox * self = NULL;
	NetworkWidgetsDeviceItem* _tmp0_;
	NetworkWidgetsDeviceItem* _tmp1_;
	NMDevice* _tmp2_;
#line 43 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	self = (NetworkWidgetsInfoBox*) g_object_new (object_type, NULL);
#line 44 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp0_ = _g_object_ref0 (_owner);
#line 44 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->owner);
#line 44 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	self->priv->owner = _tmp0_;
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp1_ = self->priv->owner;
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp2_ = network_widgets_device_item_get_item_device (_tmp1_);
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->device);
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	self->priv->device = _tmp2_;
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	network_widgets_info_box_init_box (self);
#line 43 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	return self;
#line 210 "InfoBox.c"
}


NetworkWidgetsInfoBox*
network_widgets_info_box_new_from_owner (NetworkWidgetsDeviceItem* _owner)
{
#line 43 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	return network_widgets_info_box_construct_from_owner (NETWORK_WIDGETS_TYPE_INFO_BOX, _owner);
#line 219 "InfoBox.c"
}


static void
__lambda8_ (NetworkWidgetsInfoBox* self)
{
#line 124 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	network_widgets_info_box_update_status (self);
#line 125 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_signal_emit (self, network_widgets_info_box_signals[NETWORK_WIDGETS_INFO_BOX_INFO_CHANGED_SIGNAL], 0);
#line 230 "InfoBox.c"
}


static void
___lambda8__nm_device_state_changed (NMDevice* _sender,
                                     guint new_state,
                                     guint old_state,
                                     guint reason,
                                     gpointer self)
{
#line 123 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	__lambda8_ ((NetworkWidgetsInfoBox*) self);
#line 243 "InfoBox.c"
}


static void
network_widgets_info_box_init_box (NetworkWidgetsInfoBox* self)
{
	GtkImage* sent_head = NULL;
	GtkImage* _tmp0_;
	GtkLabel* _tmp1_;
	GtkGrid* sent_grid = NULL;
	GtkGrid* _tmp2_;
	GtkLabel* _tmp3_;
	GtkImage* received_head = NULL;
	GtkImage* _tmp4_;
	GtkLabel* _tmp5_;
	GtkGrid* received_grid = NULL;
	GtkGrid* _tmp6_;
	GtkLabel* _tmp7_;
	GtkGrid* send_receive_grid = NULL;
	GtkGrid* _tmp8_;
	GtkLabel* ip4address_head = NULL;
	GtkLabel* _tmp9_;
	GtkLabel* _tmp10_;
	GtkLabel* _tmp11_;
	GtkLabel* _tmp12_;
	GtkLabel* _tmp13_;
	GtkLabel* _tmp14_;
	GtkLabel* _tmp15_;
	GtkLabel* _tmp16_;
	GtkLabel* _tmp17_;
	GtkLabel* _tmp18_;
	GtkLabel* _tmp19_;
	GtkLabel* mask_head = NULL;
	GtkLabel* _tmp20_;
	GtkLabel* _tmp21_;
	GtkLabel* _tmp22_;
	GtkLabel* _tmp23_;
	GtkLabel* router_head = NULL;
	GtkLabel* _tmp24_;
	GtkLabel* _tmp25_;
	GtkLabel* _tmp26_;
	GtkLabel* _tmp27_;
	GtkLabel* _tmp28_;
	GtkLabel* _tmp29_;
	GtkLabel* _tmp30_;
	GtkLabel* _tmp31_;
	GtkLabel* _tmp32_;
	GtkLabel* _tmp33_;
	GtkLabel* _tmp34_;
	NMDevice* _tmp35_;
#line 50 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_return_if_fail (self != NULL);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_grid_set_column_spacing ((GtkGrid*) self, 12);
#line 52 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_grid_set_row_spacing ((GtkGrid*) self, 6);
#line 54 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp0_ = (GtkImage*) gtk_image_new_from_icon_name ("go-up-symbolic", (GtkIconSize) GTK_ICON_SIZE_BUTTON);
#line 54 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp0_);
#line 54 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	sent_head = _tmp0_;
#line 55 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp1_ = (GtkLabel*) gtk_label_new ("");
#line 55 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp1_);
#line 55 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->sent);
#line 55 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	self->priv->sent = _tmp1_;
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp2_ = (GtkGrid*) gtk_grid_new ();
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp2_);
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	sent_grid = _tmp2_;
#line 58 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_grid_set_column_spacing (sent_grid, 12);
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) sent_grid, _ ("Sent"));
#line 60 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_container_add ((GtkContainer*) sent_grid, (GtkWidget*) sent_head);
#line 61 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp3_ = self->priv->sent;
#line 61 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_container_add ((GtkContainer*) sent_grid, (GtkWidget*) _tmp3_);
#line 63 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp4_ = (GtkImage*) gtk_image_new_from_icon_name ("go-down-symbolic", (GtkIconSize) GTK_ICON_SIZE_BUTTON);
#line 63 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp4_);
#line 63 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	received_head = _tmp4_;
#line 64 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp5_ = (GtkLabel*) gtk_label_new ("");
#line 64 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp5_);
#line 64 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->received);
#line 64 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	self->priv->received = _tmp5_;
#line 66 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp6_ = (GtkGrid*) gtk_grid_new ();
#line 66 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp6_);
#line 66 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	received_grid = _tmp6_;
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_grid_set_column_spacing (received_grid, 12);
#line 68 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) received_grid, _ ("Received"));
#line 69 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_container_add ((GtkContainer*) received_grid, (GtkWidget*) received_head);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp7_ = self->priv->received;
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_container_add ((GtkContainer*) received_grid, (GtkWidget*) _tmp7_);
#line 72 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp8_ = (GtkGrid*) gtk_grid_new ();
#line 72 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp8_);
#line 72 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	send_receive_grid = _tmp8_;
#line 73 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_widget_set_halign ((GtkWidget*) send_receive_grid, GTK_ALIGN_CENTER);
#line 74 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_grid_set_column_spacing (send_receive_grid, 12);
#line 75 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_widget_set_margin_top ((GtkWidget*) send_receive_grid, 12);
#line 76 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_container_add ((GtkContainer*) send_receive_grid, (GtkWidget*) sent_grid);
#line 77 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_container_add ((GtkContainer*) send_receive_grid, (GtkWidget*) received_grid);
#line 79 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp9_ = (GtkLabel*) gtk_label_new (_ ("IP Address:"));
#line 79 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp9_);
#line 79 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	ip4address_head = _tmp9_;
#line 80 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_widget_set_halign ((GtkWidget*) ip4address_head, GTK_ALIGN_END);
#line 82 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp10_ = (GtkLabel*) gtk_label_new ("");
#line 82 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp10_);
#line 82 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->ip4address);
#line 82 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	self->priv->ip4address = _tmp10_;
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp11_ = self->priv->ip4address;
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_label_set_selectable (_tmp11_, TRUE);
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp12_ = self->priv->ip4address;
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_label_set_xalign (_tmp12_, (gfloat) 0);
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp13_ = (GtkLabel*) gtk_label_new (_ ("IPv6 Address:"));
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp13_);
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->ip6address_head);
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	self->priv->ip6address_head = _tmp13_;
#line 87 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp14_ = self->priv->ip6address_head;
#line 87 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp14_, TRUE);
#line 88 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp15_ = self->priv->ip6address_head;
#line 88 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp15_, GTK_ALIGN_END);
#line 90 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp16_ = (GtkLabel*) gtk_label_new ("");
#line 90 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp16_);
#line 90 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->ip6address);
#line 90 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	self->priv->ip6address = _tmp16_;
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp17_ = self->priv->ip6address;
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_label_set_selectable (_tmp17_, TRUE);
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp18_ = self->priv->ip6address;
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp18_, TRUE);
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp19_ = self->priv->ip6address;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_label_set_xalign (_tmp19_, (gfloat) 0);
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp20_ = (GtkLabel*) gtk_label_new (_ ("Subnet mask:"));
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp20_);
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	mask_head = _tmp20_;
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_widget_set_halign ((GtkWidget*) mask_head, GTK_ALIGN_END);
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp21_ = (GtkLabel*) gtk_label_new ("");
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp21_);
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->mask);
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	self->priv->mask = _tmp21_;
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp22_ = self->priv->mask;
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_label_set_selectable (_tmp22_, TRUE);
#line 100 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp23_ = self->priv->mask;
#line 100 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_label_set_xalign (_tmp23_, (gfloat) 0);
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp24_ = (GtkLabel*) gtk_label_new (_ ("Router:"));
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp24_);
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	router_head = _tmp24_;
#line 103 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_widget_set_halign ((GtkWidget*) router_head, GTK_ALIGN_END);
#line 105 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp25_ = (GtkLabel*) gtk_label_new ("");
#line 105 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp25_);
#line 105 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->router);
#line 105 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	self->priv->router = _tmp25_;
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp26_ = self->priv->router;
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_label_set_selectable (_tmp26_, TRUE);
#line 107 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp27_ = self->priv->router;
#line 107 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_label_set_xalign (_tmp27_, (gfloat) 0);
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) ip4address_head, 0, 0, 1, 1);
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp28_ = self->priv->ip4address;
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) _tmp28_, (GtkWidget*) ip4address_head, GTK_POS_RIGHT, 1, 1);
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp29_ = self->priv->ip6address_head;
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) _tmp29_, (GtkWidget*) ip4address_head, GTK_POS_BOTTOM, 1, 1);
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp30_ = self->priv->ip6address;
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp31_ = self->priv->ip6address_head;
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) _tmp30_, (GtkWidget*) _tmp31_, GTK_POS_RIGHT, 1, 1);
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp32_ = self->priv->ip6address_head;
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) mask_head, (GtkWidget*) _tmp32_, GTK_POS_BOTTOM, 1, 1);
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp33_ = self->priv->mask;
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) _tmp33_, (GtkWidget*) mask_head, GTK_POS_RIGHT, 1, 1);
#line 118 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) router_head, (GtkWidget*) mask_head, GTK_POS_BOTTOM, 1, 1);
#line 119 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp34_ = self->priv->router;
#line 119 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) _tmp34_, (GtkWidget*) router_head, GTK_POS_RIGHT, 1, 1);
#line 121 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) send_receive_grid, (GtkWidget*) router_head, GTK_POS_BOTTOM, 4, 1);
#line 123 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp35_ = self->priv->device;
#line 123 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_signal_connect_object (_tmp35_, "state-changed", (GCallback) ___lambda8__nm_device_state_changed, self, 0);
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	network_widgets_info_box_update_status (self);
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 50 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (router_head);
#line 50 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (mask_head);
#line 50 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (ip4address_head);
#line 50 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (send_receive_grid);
#line 50 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (received_grid);
#line 50 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (received_head);
#line 50 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (sent_grid);
#line 50 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (sent_head);
#line 540 "InfoBox.c"
}


void
network_widgets_info_box_update_activity (NetworkWidgetsInfoBox* self,
                                          const gchar* sent_bytes,
                                          const gchar* received_bytes)
{
	const gchar* _tmp0_ = NULL;
	GtkLabel* _tmp1_;
	const gchar* _tmp2_ = NULL;
	GtkLabel* _tmp3_;
#line 133 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_return_if_fail (self != NULL);
#line 133 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_return_if_fail (sent_bytes != NULL);
#line 133 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_return_if_fail (received_bytes != NULL);
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp0_ = sent_bytes;
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	if (_tmp0_ == NULL) {
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp0_ = NETWORK_UNKNOWN_STR;
#line 565 "InfoBox.c"
	}
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp1_ = self->priv->sent;
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_label_set_label (_tmp1_, _tmp0_);
#line 135 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp2_ = received_bytes;
#line 135 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	if (_tmp2_ == NULL) {
#line 135 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp2_ = NETWORK_UNKNOWN_STR;
#line 577 "InfoBox.c"
	}
#line 135 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp3_ = self->priv->received;
#line 135 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_label_set_label (_tmp3_, _tmp2_);
#line 583 "InfoBox.c"
}


static gint
g_ptr_array_get_length (GPtrArray* self)
{
	gint result;
	guint _tmp0_;
#line 4999 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 4999 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = self->len;
#line 4999 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = (gint) _tmp0_;
#line 4999 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 600 "InfoBox.c"
}


static void
g_ptr_array_set_length (GPtrArray* self,
                        gint value)
{
#line 5000 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_if_fail (self != NULL);
#line 5000 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_ptr_array_set_size (self, value);
#line 612 "InfoBox.c"
}


static Block14Data*
block14_data_ref (Block14Data* _data14_)
{
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_atomic_int_inc (&_data14_->_ref_count_);
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	return _data14_;
#line 623 "InfoBox.c"
}


static void
block14_data_unref (void * _userdata_)
{
	Block14Data* _data14_;
	_data14_ = (Block14Data*) _userdata_;
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	if (g_atomic_int_dec_and_test (&_data14_->_ref_count_)) {
#line 634 "InfoBox.c"
		NetworkWidgetsInfoBox* self;
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		self = _data14_->self;
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_g_ptr_array_unref0 (_data14_->addresses);
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_g_object_unref0 (self);
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		g_slice_free (Block14Data, _data14_);
#line 644 "InfoBox.c"
	}
}


static gpointer
_g_ptr_array_ref0 (gpointer self)
{
#line 161 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	return self ? g_ptr_array_ref (self) : NULL;
#line 654 "InfoBox.c"
}


static gchar*
string_strip (const gchar* self)
{
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1248 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1249 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1249 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1250 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1250 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1251 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _result_;
#line 1251 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 679 "InfoBox.c"
}


static void
___lambda9_ (Block14Data* _data14_,
             NMIPAddress* addr)
{
	NetworkWidgetsInfoBox* self;
	gchar* inet_str = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	GtkLabel* _tmp7_;
	GtkLabel* _tmp8_;
	const gchar* _tmp9_;
	gchar* _tmp10_;
	gchar* _tmp11_;
	GtkLabel* _tmp12_;
	GtkLabel* _tmp13_;
	const gchar* _tmp14_;
	const gchar* _tmp15_;
	const gchar* _tmp16_;
	gchar* _tmp17_;
	gchar* _tmp18_;
	gint _tmp19_;
	GPtrArray* _tmp20_;
	gint _tmp21_;
	gint _tmp22_;
	gint _tmp29_;
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	self = _data14_->self;
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_return_if_fail (addr != NULL);
#line 163 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	nm_ip_address_ref (addr);
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp0_ = nm_ip_address_get_address (addr);
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp1_ = g_strconcat (_tmp0_, "/", NULL);
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp2_ = _tmp1_;
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp3_ = g_strdup_printf ("%u", nm_ip_address_get_prefix (addr));
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp4_ = _tmp3_;
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp5_ = g_strconcat (_tmp2_, _tmp4_, NULL);
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp6_ = _tmp5_;
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_free0 (_tmp4_);
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_free0 (_tmp2_);
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	inet_str = _tmp6_;
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp7_ = self->priv->ip6address;
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp8_ = self->priv->ip6address_head;
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp9_ = inet_str;
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp10_ = string_strip (_tmp9_);
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp11_ = _tmp10_;
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp8_, g_strcmp0 (_tmp11_, "") != 0);
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp7_, g_strcmp0 (_tmp11_, "") != 0);
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_free0 (_tmp11_);
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp12_ = self->priv->ip6address;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp13_ = self->priv->ip6address;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp14_ = gtk_label_get_label (_tmp13_);
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp15_ = _tmp14_;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp16_ = inet_str;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp17_ = g_strconcat (_tmp15_, _tmp16_, NULL);
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp18_ = _tmp17_;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_label_set_label (_tmp13_, _tmp18_);
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_free0 (_tmp18_);
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp19_ = _data14_->i;
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp20_ = _data14_->addresses;
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp21_ = g_ptr_array_get_length (_tmp20_);
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp22_ = _tmp21_;
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	if (_tmp19_ < _tmp22_) {
#line 783 "InfoBox.c"
		GtkLabel* _tmp23_;
		GtkLabel* _tmp24_;
		const gchar* _tmp25_;
		const gchar* _tmp26_;
		gchar* _tmp27_;
		gchar* _tmp28_;
#line 168 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp23_ = self->priv->ip6address;
#line 168 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp24_ = self->priv->ip6address;
#line 168 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp25_ = gtk_label_get_label (_tmp24_);
#line 168 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp26_ = _tmp25_;
#line 168 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp27_ = g_strconcat (_tmp26_, "\n", NULL);
#line 168 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp28_ = _tmp27_;
#line 168 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		gtk_label_set_label (_tmp24_, _tmp28_);
#line 168 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_g_free0 (_tmp28_);
#line 806 "InfoBox.c"
	}
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp29_ = _data14_->i;
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_data14_->i = _tmp29_ + 1;
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_free0 (inet_str);
#line 814 "InfoBox.c"
}


static void
____lambda9__gfunc (gconstpointer data,
                    gpointer self)
{
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	___lambda9_ (self, (NMIPAddress*) data);
#line 824 "InfoBox.c"
}


void
network_widgets_info_box_update_status (NetworkWidgetsInfoBox* self)
{
	NMIPConfig* ipv4 = NULL;
	NMDevice* _tmp0_;
	NMIPConfig* _tmp1_;
	NMIPConfig* _tmp2_;
	NMIPConfig* _tmp3_;
	NMIPConfig* ip6 = NULL;
	NMDevice* _tmp28_;
	NMIPConfig* _tmp29_;
	NMIPConfig* _tmp30_;
	GtkLabel* _tmp31_;
	GtkLabel* _tmp32_;
	NMIPConfig* _tmp33_;
	GtkLabel* _tmp34_;
	NMIPConfig* _tmp35_;
	NetworkWidgetsDeviceItem* _tmp40_;
#line 138 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_return_if_fail (self != NULL);
#line 139 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp0_ = self->priv->device;
#line 139 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp1_ = nm_device_get_ip4_config (_tmp0_);
#line 139 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 139 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	ipv4 = _tmp2_;
#line 140 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp3_ = ipv4;
#line 140 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	if (_tmp3_ != NULL) {
#line 860 "InfoBox.c"
		NMIPConfig* _tmp4_;
		GPtrArray* _tmp5_;
		gint _tmp6_;
		gint _tmp7_;
		const gchar* _tmp21_ = NULL;
		NMIPConfig* _tmp22_;
		const gchar* _tmp23_;
		GtkLabel* _tmp24_;
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp4_ = ipv4;
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp5_ = nm_ip_config_get_addresses (_tmp4_);
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp6_ = g_ptr_array_get_length (_tmp5_);
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp7_ = _tmp6_;
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		if (_tmp7_ > 0) {
#line 879 "InfoBox.c"
			NMIPAddress* address = NULL;
			NMIPConfig* _tmp8_;
			GPtrArray* _tmp9_;
			gconstpointer _tmp10_;
			GtkLabel* _tmp11_;
			NMIPAddress* _tmp12_;
			const gchar* _tmp13_;
			guint32 mask_addr = 0U;
			NMIPAddress* _tmp14_;
			struct in_addr source_addr = {0};
			guint32 _tmp15_;
			struct in_addr _tmp16_ = {0};
			const gchar* _tmp17_ = NULL;
			struct in_addr _tmp18_;
			const gchar* _tmp19_;
			GtkLabel* _tmp20_;
#line 142 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			_tmp8_ = ipv4;
#line 142 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			_tmp9_ = nm_ip_config_get_addresses (_tmp8_);
#line 142 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			_tmp10_ = g_ptr_array_index (_tmp9_, (guint) 0);
#line 142 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			address = (NMIPAddress*) _tmp10_;
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			_tmp11_ = self->priv->ip4address;
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			_tmp12_ = address;
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			_tmp13_ = nm_ip_address_get_address (_tmp12_);
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			gtk_label_set_label (_tmp11_, _tmp13_);
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			_tmp14_ = address;
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			mask_addr = ~(((guint32) 0xffffffffLL) << nm_ip_address_get_prefix (_tmp14_));
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			_tmp15_ = mask_addr;
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			memset (&_tmp16_, 0, sizeof (struct in_addr));
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			_tmp16_.s_addr = _tmp15_;
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			source_addr = _tmp16_;
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			_tmp18_ = source_addr;
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			_tmp19_ = inet_ntoa (_tmp18_);
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			_tmp17_ = _tmp19_;
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			if (_tmp17_ == NULL) {
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
				_tmp17_ = NETWORK_UNKNOWN_STR;
#line 934 "InfoBox.c"
			}
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			_tmp20_ = self->priv->mask;
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			gtk_label_set_label (_tmp20_, _tmp17_);
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			 (source_addr);
#line 942 "InfoBox.c"
		}
#line 149 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp22_ = ipv4;
#line 149 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp23_ = nm_ip_config_get_gateway (_tmp22_);
#line 149 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp21_ = _tmp23_;
#line 149 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		if (_tmp21_ == NULL) {
#line 149 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
			_tmp21_ = NETWORK_UNKNOWN_STR;
#line 954 "InfoBox.c"
		}
#line 149 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp24_ = self->priv->router;
#line 149 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		gtk_label_set_label (_tmp24_, _tmp21_);
#line 960 "InfoBox.c"
	} else {
		GtkLabel* _tmp25_;
		GtkLabel* _tmp26_;
		GtkLabel* _tmp27_;
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp25_ = self->priv->ip4address;
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		gtk_label_set_label (_tmp25_, NETWORK_UNKNOWN_STR);
#line 152 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp26_ = self->priv->mask;
#line 152 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		gtk_label_set_label (_tmp26_, NETWORK_UNKNOWN_STR);
#line 153 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp27_ = self->priv->router;
#line 153 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		gtk_label_set_label (_tmp27_, NETWORK_UNKNOWN_STR);
#line 977 "InfoBox.c"
	}
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp28_ = self->priv->device;
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp29_ = nm_device_get_ip6_config (_tmp28_);
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp30_ = _g_object_ref0 (_tmp29_);
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	ip6 = _tmp30_;
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp31_ = self->priv->ip6address;
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp32_ = self->priv->ip6address_head;
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp33_ = ip6;
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp32_, _tmp33_ != NULL);
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp31_, _tmp33_ != NULL);
#line 158 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp34_ = self->priv->ip6address;
#line 158 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_label_set_label (_tmp34_, "");
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp35_ = ip6;
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	if (_tmp35_ != NULL) {
#line 1005 "InfoBox.c"
		Block14Data* _data14_;
		NMIPConfig* _tmp36_;
		GPtrArray* _tmp37_;
		GPtrArray* _tmp38_;
		GPtrArray* _tmp39_;
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_data14_ = g_slice_new0 (Block14Data);
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_data14_->_ref_count_ = 1;
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_data14_->self = g_object_ref (self);
#line 160 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_data14_->i = 1;
#line 161 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp36_ = ip6;
#line 161 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp37_ = nm_ip_config_get_addresses (_tmp36_);
#line 161 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp38_ = _g_ptr_array_ref0 (_tmp37_);
#line 161 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_data14_->addresses = _tmp38_;
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp39_ = _data14_->addresses;
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		g_ptr_array_foreach (_tmp39_, ____lambda9__gfunc, _data14_);
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		block14_data_unref (_data14_);
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_data14_ = NULL;
#line 1035 "InfoBox.c"
	}
#line 176 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_tmp40_ = self->priv->owner;
#line 176 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	if (_tmp40_ != NULL) {
#line 1041 "InfoBox.c"
		NetworkWidgetsDeviceItem* _tmp41_;
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		_tmp41_ = self->priv->owner;
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
		g_signal_emit (self, network_widgets_info_box_signals[NETWORK_WIDGETS_INFO_BOX_UPDATE_SIDEBAR_SIGNAL], 0, _tmp41_);
#line 1047 "InfoBox.c"
	}
#line 180 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 138 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (ip6);
#line 138 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (ipv4);
#line 1055 "InfoBox.c"
}


NetworkWidgetsInfoBox*
network_widgets_info_box_construct (GType object_type)
{
	NetworkWidgetsInfoBox * self = NULL;
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	self = (NetworkWidgetsInfoBox*) g_object_new (object_type, NULL);
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	return self;
#line 1067 "InfoBox.c"
}


NetworkWidgetsInfoBox*
network_widgets_info_box_new (void)
{
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	return network_widgets_info_box_construct (NETWORK_WIDGETS_TYPE_INFO_BOX);
#line 1076 "InfoBox.c"
}


static void
network_widgets_info_box_class_init (NetworkWidgetsInfoBoxClass * klass)
{
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	network_widgets_info_box_parent_class = g_type_class_peek_parent (klass);
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	g_type_class_add_private (klass, sizeof (NetworkWidgetsInfoBoxPrivate));
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	G_OBJECT_CLASS (klass)->finalize = network_widgets_info_box_finalize;
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	network_widgets_info_box_signals[NETWORK_WIDGETS_INFO_BOX_UPDATE_SIDEBAR_SIGNAL] = g_signal_new ("update-sidebar", NETWORK_WIDGETS_TYPE_INFO_BOX, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, NETWORK_WIDGETS_TYPE_DEVICE_ITEM);
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	network_widgets_info_box_signals[NETWORK_WIDGETS_INFO_BOX_INFO_CHANGED_SIGNAL] = g_signal_new ("info-changed", NETWORK_WIDGETS_TYPE_INFO_BOX, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1093 "InfoBox.c"
}


static void
network_widgets_info_box_instance_init (NetworkWidgetsInfoBox * self)
{
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	self->priv = NETWORK_WIDGETS_INFO_BOX_GET_PRIVATE (self);
#line 1102 "InfoBox.c"
}


static void
network_widgets_info_box_finalize (GObject * obj)
{
	NetworkWidgetsInfoBox * self;
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_WIDGETS_TYPE_INFO_BOX, NetworkWidgetsInfoBox);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->device);
#line 25 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->owner);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->ip4address);
#line 28 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->ip6address);
#line 29 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->mask);
#line 30 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->router);
#line 31 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->sent);
#line 32 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->received);
#line 34 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->ip6address_head);
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-c52183a1a5f3a456dc7d50eedda69bbb2156ce78/src/Widgets/InfoBox.vala"
	G_OBJECT_CLASS (network_widgets_info_box_parent_class)->finalize (obj);
#line 1132 "InfoBox.c"
}


GType
network_widgets_info_box_get_type (void)
{
	static volatile gsize network_widgets_info_box_type_id__volatile = 0;
	if (g_once_init_enter (&network_widgets_info_box_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NetworkWidgetsInfoBoxClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_widgets_info_box_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkWidgetsInfoBox), 0, (GInstanceInitFunc) network_widgets_info_box_instance_init, NULL };
		GType network_widgets_info_box_type_id;
		network_widgets_info_box_type_id = g_type_register_static (gtk_grid_get_type (), "NetworkWidgetsInfoBox", &g_define_type_info, 0);
		g_once_init_leave (&network_widgets_info_box_type_id__volatile, network_widgets_info_box_type_id);
	}
	return network_widgets_info_box_type_id__volatile;
}



